#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x970c568b, "pci_save_state" },
	{ 0x682d0705, "devm_kmalloc" },
	{ 0xc096daae, "pci_wake_from_d3" },
	{ 0xf9f58b2c, "pci_enable_device" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xab8d9a6, "pci_alloc_irq_vectors" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb5bb202, "mhi_sync_power_up" },
	{ 0xf14ef90c, "mhi_power_down" },
	{ 0x436be421, "pm_runtime_set_autosuspend_delay" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x97c11962, "mhi_pm_resume" },
	{ 0x48c1ddc4, "__pci_register_driver" },
	{ 0xdabf8e8a, "pci_assign_resource" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88dcdbff, "pci_set_power_state" },
	{ 0x1ae143b2, "pci_irq_vector" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x734e2c07, "mhi_register_controller" },
	{ 0x237481fb, "pci_unregister_driver" },
	{ 0xf703a467, "mhi_soc_reset" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x6573e30e, "pm_runtime_enable" },
	{ 0xe76ed1d2, "mhi_pm_suspend" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x7630a491, "pcim_iomap_regions" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0xfa33237d, "pci_load_saved_state" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x78085f70, "pci_read_config_word" },
	{ 0x9b0077e0, "pci_store_saved_state" },
	{ 0xe8fa1b27, "pci_restore_state" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0x6450c3c8, "pci_set_master" },
	{ 0xe82ed75, "pci_reset_function" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x2df50b0, "jiffies" },
	{ 0x64baed74, "dma_set_coherent_mask" },
	{ 0x4c3d20de, "mhi_unregister_controller" },
	{ 0xf7950d00, "pm_runtime_forbid" },
	{ 0xfb95c280, "pci_pme_capable" },
	{ 0xb3adc4c8, "pm_runtime_allow" },
	{ 0xc3dad6a9, "__pm_runtime_resume" },
	{ 0x76be332, "mhi_unprepare_after_power_down" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1e69fdb3, "pci_disable_device" },
	{ 0x8c95bbd9, "dma_set_mask" },
	{ 0xb6646d3a, "pcim_iomap_table" },
	{ 0x225c4b07, "__pm_runtime_use_autosuspend" },
	{ 0x2a24f4e0, "pcim_enable_device" },
	{ 0xcb564a13, "__pm_runtime_disable" },
	{ 0x72101bbf, "mhi_prepare_for_power_up" },
	{ 0x9514151a, "_mcount" },
	{ 0xe7e094da, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "mhi");

MODULE_ALIAS("pci:v000017CBd00000304sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000017CBsd0000010Cbc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv000018D7sd00000200bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv00001C5Dsd00002000bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv00001C5Dsd00002010bc*sc*i*");
MODULE_ALIAS("pci:v000017CBd00000308sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001EACd00002001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000105Bd0000E0F2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000B4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001269d000000BBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000003F0d00000A6Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "6D117A2A77AF7406B521026");

MODULE_INFO(suserelease, "SLE15-SP6");
