#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(_md_handle_reqeust, 0x82898008, "");
SYMBOL_CRC(md_check_no_bitmap, 0x0b90f36a, "");
SYMBOL_CRC(md_check_recovery, 0x010b80b9, "");
SYMBOL_CRC(md_cluster_ops, 0x509b92b9, "");
SYMBOL_CRC(md_done_sync, 0x7d5af923, "");
SYMBOL_CRC(md_error, 0x72eb9fd9, "");
SYMBOL_CRC(md_finish_reshape, 0x64f8a356, "");
SYMBOL_CRC(md_flush_request, 0xaf39e682, "");
SYMBOL_CRC(md_handle_request, 0x59eaaf00, "");
SYMBOL_CRC(md_integrity_add_rdev, 0xc97b29e7, "");
SYMBOL_CRC(md_integrity_register, 0xa028b344, "");
SYMBOL_CRC(md_reap_sync_thread, 0x174b9d67, "");
SYMBOL_CRC(md_register_thread, 0xe9f96478, "");
SYMBOL_CRC(md_reload_sb, 0xd38e1ad1, "");
SYMBOL_CRC(md_set_array_sectors, 0x7d0ae397, "");
SYMBOL_CRC(md_unregister_thread, 0x94f82e19, "");
SYMBOL_CRC(md_update_sb, 0xedc14359, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x966d3cf3, "");
SYMBOL_CRC(md_wakeup_thread, 0x11cd3e71, "");
SYMBOL_CRC(md_write_end, 0xe1482d12, "");
SYMBOL_CRC(md_write_inc, 0x2e0456cb, "");
SYMBOL_CRC(md_write_start, 0xcf55892e, "");
SYMBOL_CRC(register_md_cluster_operations, 0xcb811f0d, "");
SYMBOL_CRC(register_md_personality, 0x3a023b4b, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(unregister_md_personality, 0x3f9d693c, "");
SYMBOL_CRC(md_account_bio, 0x35c54018, "_gpl");
SYMBOL_CRC(md_allow_write, 0x9635047d, "_gpl");
SYMBOL_CRC(md_do_sync, 0x77671608, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x49ab84aa, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x1922d03d, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x6b5de3e5, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0x1f7ed1ae, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0xb2b56405, "_gpl");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0xb5fac5c2, "_gpl");
SYMBOL_CRC(md_rdev_init, 0xf0f93814, "_gpl");
SYMBOL_CRC(md_run, 0xb584deaf, "_gpl");
SYMBOL_CRC(md_start, 0xa997fd27, "_gpl");
SYMBOL_CRC(md_stop, 0xa83f816a, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x7c4c79e3, "_gpl");
SYMBOL_CRC(md_submit_discard_bio, 0x0d14b9ce, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0xe4e5343e, "_gpl");
SYMBOL_CRC(mddev_destroy, 0x3742d53d, "_gpl");
SYMBOL_CRC(mddev_init, 0x1f3f31c7, "_gpl");
SYMBOL_CRC(mddev_resume, 0xde04ce6a, "_gpl");
SYMBOL_CRC(mddev_suspend, 0x8d8804ae, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x899a96e3, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0xb6d819e5, "_gpl");
SYMBOL_CRC(rdev_set_badblocks, 0x4541a5c0, "_gpl");
SYMBOL_CRC(sync_page_io, 0xf4b68537, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0xd75d8b92, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x3e77a780, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x66c90686, "");
SYMBOL_CRC(md_bitmap_end_sync, 0xfa071297, "");
SYMBOL_CRC(md_bitmap_endwrite, 0xe40d2164, "");
SYMBOL_CRC(md_bitmap_free, 0x906b9c10, "");
SYMBOL_CRC(md_bitmap_start_sync, 0x7dbf962b, "");
SYMBOL_CRC(md_bitmap_startwrite, 0xb56a63c3, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x6d6e926d, "");
SYMBOL_CRC(md_bitmap_unplug, 0xc1a9aa40, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x0d6b750b, "");
SYMBOL_CRC(md_bitmap_update_sb, 0x4c32a9df, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x7bc91c28, "_gpl");
SYMBOL_CRC(md_bitmap_load, 0xe55d18dd, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0xa28d4b60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26da0a3b, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3095a677, "set_disk_ro" },
	{ 0x5618629b, "__blk_alloc_disk" },
	{ 0xadba35d2, "blk_integrity_register" },
	{ 0x39ac0cff, "try_module_get" },
	{ 0x9e6d95d8, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xbbaba4f0, "vmemmap" },
	{ 0x99d36379, "__bio_add_page" },
	{ 0x1cf7ff7b, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb78bf0a2, "register_sysctl" },
	{ 0x551a5859, "proc_create" },
	{ 0x6a927e56, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x54a5c560, "seq_release" },
	{ 0x1c5274b8, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x464d5651, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x375bda11, "badblocks_set" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0x9e36bf7f, "fget" },
	{ 0xf85b93b2, "sysfs_unbreak_active_protection" },
	{ 0x7c362fc1, "invalidate_mapping_pages" },
	{ 0x744303fb, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x9bdbf045, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b627353, "badblocks_exit" },
	{ 0x3ace6475, "__traceiter_block_bio_remap" },
	{ 0xc264300, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xaaca47b5, "blk_queue_write_cache" },
	{ 0x907baed7, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x33964dc9, "ack_all_badblocks" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1f314c08, "__wake_up" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xf3149bfd, "kernfs_notify" },
	{ 0x2de460a1, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x121b021f, "bio_end_io_acct_remapped" },
	{ 0xb15238d1, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x87020955, "bio_clone_blkg_association" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x154bdcd3, "bioset_integrity_create" },
	{ 0x2b68be54, "_raw_spin_lock_irq" },
	{ 0x31e12ec0, "mempool_create" },
	{ 0xad5b63bb, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0xf6522848, "___ratelimit" },
	{ 0xd54e7f19, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x88886005, "unregister_sysctl_table" },
	{ 0x437573aa, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xfd4e1f79, "sync_blockdev" },
	{ 0xc264ea72, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0x8627cb8, "blk_queue_flag_set" },
	{ 0xbcdad38e, "blkdev_put" },
	{ 0xa91c0bdf, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x99fe1df3, "submit_bio" },
	{ 0x64368248, "blk_queue_flag_clear" },
	{ 0xe4c92326, "module_put" },
	{ 0x6d636f5f, "bio_start_io_acct" },
	{ 0x6ed10770, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x459a6bc5, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xee27b6b5, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x5c8f3748, "bio_put" },
	{ 0x35790b12, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xda5229c8, "fput" },
	{ 0x12dfbebb, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8d76c469, "sysfs_remove_link" },
	{ 0xef234e44, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x14b74b9b, "submit_bio_noacct" },
	{ 0xb65270c7, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x4f04765f, "blk_sync_queue" },
	{ 0x17a16375, "seq_file_path" },
	{ 0x3fb48baa, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0xd60d9457, "_raw_spin_unlock_irq" },
	{ 0x434206df, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x8e1fdc7b, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x83daffb8, "del_gendisk" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3d0762a3, "sysfs_create_group" },
	{ 0x537e25b8, "kthread_stop" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xb1378c52, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x90f28953, "bd_unlink_disk_holder" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0xc609d4cf, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x547549f6, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xcb4ca48b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x61fc7cc7, "_atomic_dec_and_lock" },
	{ 0x3c7cd5bf, "invalidate_bdev" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xda80128f, "mutex_trylock" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x35f0a6a0, "kthread_create_on_node" },
	{ 0xd8b669c3, "sysfs_remove_group" },
	{ 0xa61a6be6, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xaf0b3aeb, "kobject_del" },
	{ 0x13cc3cfa, "vfs_fsync" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c2cd1a2, "param_ops_bool" },
	{ 0xd7390af1, "bioset_init" },
	{ 0x46399f3c, "file_path" },
	{ 0xd209ea02, "kernfs_put" },
	{ 0xbb18f2c5, "alloc_pages" },
	{ 0x367f52c1, "sysfs_break_active_protection" },
	{ 0x992c1e6f, "__folio_put" },
	{ 0x24552975, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcd12299b, "remove_proc_entry" },
	{ 0x28d508c6, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9ab5d0db, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa0ac5292, "kobject_uevent" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x15d9f20a, "bd_link_disk_holder" },
	{ 0x3ce5729d, "proc_dointvec" },
	{ 0x6319f254, "seq_puts" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7864e906, "seq_open" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x6d7223d1, "badblocks_clear" },
	{ 0xe8c2b68d, "bmap" },
	{ 0x98cf60b3, "strlen" },
	{ 0x904efdaa, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc09ac34a, "badblocks_store" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0xa9919032, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0x9514151a, "_mcount" },
	{ 0x43a119f3, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x416fc324, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbc647c9f, "kobject_put" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C5DE87FA3426599C7E7CD6D");

MODULE_INFO(suserelease, "SLE15-SP6");
