#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(prestera_device_register, 0xc4cdbe2a, "");
SYMBOL_CRC(prestera_device_unregister, 0x81adba36, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d2ca8de, "alloc_etherdev_mqs" },
	{ 0x2dd24617, "netdev_lower_get_next" },
	{ 0xc118b90d, "flow_block_cb_lookup" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf77e4d, "br_vlan_enabled" },
	{ 0x879c0f26, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbbaba4f0, "vmemmap" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0xff74a5c5, "devlink_unregister" },
	{ 0xe256dc1c, "dma_pool_create" },
	{ 0x802cda70, "of_node_put" },
	{ 0xcec203cb, "skb_put" },
	{ 0x6cdf3555, "of_property_read_variable_u32_array" },
	{ 0xa6d40da2, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x6f7a8f9c, "register_fib_notifier" },
	{ 0x451b6e10, "l3mdev_fib_table_rcu" },
	{ 0x16c1c96, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc9f23842, "idr_alloc_u32" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfa290b4a, "unregister_netdev" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xe8af5f5f, "dma_unmap_page_attrs" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd84c437e, "dma_sync_single_for_device" },
	{ 0x90d021e7, "flow_rule_match_eth_addrs" },
	{ 0xfba1626c, "devlink_port_attrs_set" },
	{ 0x6df563ee, "flow_block_cb_priv" },
	{ 0x17be4a83, "flow_block_cb_free" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cbc057e, "devlink_alloc_ns" },
	{ 0x4c19117b, "_raw_read_unlock_bh" },
	{ 0xfc5d2d60, "devlink_register" },
	{ 0xfad5473b, "_raw_read_lock_bh" },
	{ 0xcf1f81b0, "of_node_get" },
	{ 0xca823d53, "devlink_free" },
	{ 0x9d8ae83c, "of_find_node_by_name" },
	{ 0x3c15b31b, "rhashtable_init" },
	{ 0xf93ba773, "netdev_warn" },
	{ 0xf3305373, "flow_rule_match_ipv4_addrs" },
	{ 0xb727d448, "__netif_napi_del" },
	{ 0x46a51ad5, "rhashtable_walk_enter" },
	{ 0x84798546, "fib_table_lookup" },
	{ 0xfcafa5a0, "skb_pull_rcsum" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5d7223b4, "netdev_err" },
	{ 0xaee6b02a, "pskb_expand_head" },
	{ 0xc007e340, "switchdev_handle_port_attr_set" },
	{ 0x46d204fa, "devlink_traps_unregister" },
	{ 0xb712d4b4, "phylink_create" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xac3747d6, "dev_driver_string" },
	{ 0x7481deb0, "dev_addr_mod" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x1a03f77b, "eth_type_trans" },
	{ 0x17b8a8e1, "flow_rule_match_icmp" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x917ee93, "dma_map_page_attrs" },
	{ 0xd87b277a, "napi_complete_done" },
	{ 0x2255e280, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf6522848, "___ratelimit" },
	{ 0xa8eb5b3d, "priv_to_devlink" },
	{ 0x4c08079d, "of_get_next_child" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1e1716aa, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x952369ea, "__alloc_skb" },
	{ 0xfdcae19b, "switchdev_bridge_port_offload" },
	{ 0xff877e0b, "flow_block_cb_incref" },
	{ 0x8dadc20e, "flow_rule_match_ports_range" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0x2086e285, "of_get_mac_address" },
	{ 0x4c0eee9b, "free_fib_info" },
	{ 0xef25ddb9, "flow_rule_match_basic" },
	{ 0x7d1ea42c, "idr_remove" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x80bebf38, "vlan_dev_real_dev" },
	{ 0x51c5133, "__dev_get_by_index" },
	{ 0x55a6d898, "devlink_port_unregister" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x6ac76a94, "init_net" },
	{ 0x79534c91, "skb_pull" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x98fbbfe5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfc3af89d, "_raw_write_lock" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x3f9c04b3, "flow_block_cb_decref" },
	{ 0xf30106d6, "skb_push" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x21689047, "napi_enable" },
	{ 0x8cf2e0bd, "register_netdev" },
	{ 0xfaf4a975, "unregister_fib_notifier" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xd3f7bd21, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xe0556458, "_raw_read_unlock" },
	{ 0xb611863f, "rhashtable_walk_start_check" },
	{ 0x51af96c, "_raw_write_unlock" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xa733ad97, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x7d286a0f, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcd9c8776, "idr_alloc_cyclic" },
	{ 0x9243c937, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x77d58427, "rhashtable_free_and_destroy" },
	{ 0xe87b3946, "switchdev_bridge_port_unoffload" },
	{ 0xdcb764ad, "memset" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0xdee3a4bf, "flow_rule_match_ports" },
	{ 0xd88d7706, "rht_bucket_nested_insert" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x94764242, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x89f28a97, "rhashtable_destroy" },
	{ 0xe71d847c, "devlink_trap_report" },
	{ 0x8f75a215, "__neigh_event_send" },
	{ 0x157ab7d1, "flow_block_cb_alloc" },
	{ 0x68b7a2db, "switchdev_handle_port_obj_add" },
	{ 0x2e32b4cf, "fib_alias_hw_flags_set" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x40ab63f1, "__neigh_create" },
	{ 0x18b4daae, "netdev_walk_all_upper_dev_rcu" },
	{ 0x5b8ec6f7, "rhashtable_insert_slow" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x46a65650, "neigh_destroy" },
	{ 0x61098cdf, "br_multicast_enabled" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6ce69149, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0x6c11f644, "flow_rule_match_vlan" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2c4d4fb0, "netdev_master_upper_dev_get_rcu" },
	{ 0xa340fa2, "devlink_traps_register" },
	{ 0x1c3a17a9, "radix_tree_tagged" },
	{ 0x7a376f42, "netdev_master_upper_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6ddcdca6, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xa7bb6760, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdba14e51, "devlink_priv" },
	{ 0x7f22cb28, "devlink_port_register_with_ops" },
	{ 0x9f5830d5, "netif_carrier_on" },
	{ 0x826e31, "netdev_has_any_upper_dev" },
	{ 0x60b0831c, "_raw_read_lock" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x8f16eac4, "devlink_trap_groups_register" },
	{ 0x3089aaff, "arp_tbl" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xf75c7cc4, "vlan_uses_dev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa0a74f7, "netdev_walk_all_lower_dev" },
	{ 0x41fac0ac, "rhashtable_walk_next" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xaa094e21, "napi_schedule_prep" },
	{ 0xd6f4b22f, "__fib_lookup" },
	{ 0x53e92297, "napi_disable" },
	{ 0x4e91b40d, "dev_kfree_skb_any_reason" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xe5001615, "mutex_destroy" },
	{ 0xf6b4f85a, "devlink_trap_groups_unregister" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0xd26859ec, "flow_rule_match_control" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0xb4e9d920, "rhashtable_walk_exit" },
	{ 0x9514151a, "_mcount" },
	{ 0x7a78ab20, "init_dummy_netdev" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x6d323013, "neigh_lookup" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "bridge,phylink");


MODULE_INFO(srcversion, "8ABF5DC680D6AC3C3E75CC1");

MODULE_INFO(suserelease, "SLE15-SP6");
