#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qed_get_eth_ops, 0x46b80397, "");
SYMBOL_CRC(qed_put_eth_ops, 0x9eeeef48, "");
SYMBOL_CRC(qed_get_fcoe_ops, 0x2dedde96, "");
SYMBOL_CRC(qed_put_fcoe_ops, 0x992e03d0, "");
SYMBOL_CRC(qed_get_iscsi_ops, 0xe47f02b5, "");
SYMBOL_CRC(qed_put_iscsi_ops, 0x4f264472, "");
SYMBOL_CRC(qed_get_rdma_ops, 0x6c83ad7f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe914e41e, "strcpy" },
	{ 0x970c568b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xbbaba4f0, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x993de4d0, "pci_find_ext_capability" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xff74a5c5, "devlink_unregister" },
	{ 0xca4db0e6, "skb_copy_bits" },
	{ 0xf9f58b2c, "pci_enable_device" },
	{ 0xcec203cb, "skb_put" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xe8af5f5f, "dma_unmap_page_attrs" },
	{ 0xff39e2f, "request_firmware" },
	{ 0x2ee5d134, "devlink_health_reporter_create" },
	{ 0x797e9935, "devlink_params_unregister" },
	{ 0x74f1cd69, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x61c38323, "pci_disable_msi" },
	{ 0x1e3ba8a4, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x47fe539b, "is_kdump_kernel" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cbc057e, "devlink_alloc_ns" },
	{ 0xfc5d2d60, "devlink_register" },
	{ 0xca823d53, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x56f9537, "pci_ioremap_bar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xac3747d6, "dev_driver_string" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x558f54b6, "pci_read_config_dword" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x917ee93, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x37c788b, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xa5ca9f85, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xbde43217, "pci_enable_msi" },
	{ 0x6ac76a94, "init_net" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x2b97df, "dma_alloc_attrs" },
	{ 0x78085f70, "pci_read_config_word" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x79eb2626, "slab_build_skb" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6450c3c8, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x64baed74, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb2b3f958, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x6f354e7, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21cdd218, "pci_release_regions" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0xcdd1b1f4, "pcie_capability_read_dword" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdba14e51, "devlink_priv" },
	{ 0xbc91601, "pci_disable_sriov" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0x485eda6e, "pci_disable_msix" },
	{ 0x1e69fdb3, "pci_disable_device" },
	{ 0x8c95bbd9, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6567722f, "pci_read_config_byte" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4e91b40d, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x4a55c8ea, "ioremap_wc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xe56eb6ef, "pci_enable_sriov" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x9514151a, "_mcount" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "E64E5F81B94BD60E311DCD8");

MODULE_INFO(suserelease, "SLE15-SP6");
