#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tap_create_cdev, 0x5969f75f, "_gpl");
SYMBOL_CRC(tap_del_queues, 0x9930a294, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x884511fc, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x880d6f78, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x72e36c36, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x2c8d26f2, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xfb3a3b97, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xfff0b5ac, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xefe64eb5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x98fbbfe5, "kfree_skb_reason" },
	{ 0xb1899e52, "idr_alloc" },
	{ 0x5d7223b4, "netdev_err" },
	{ 0x7d1ea42c, "idr_remove" },
	{ 0x60ae8048, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x9243c937, "idr_destroy" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x617e7039, "cdev_init" },
	{ 0xfa45fb07, "cdev_add" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x63772ed4, "skb_copy_datagram_iter" },
	{ 0x1daf37e8, "consume_skb" },
	{ 0x1000e51, "schedule" },
	{ 0x9bdbf045, "prepare_to_wait" },
	{ 0x72b07305, "_copy_to_iter" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0x37f041dd, "iov_iter_advance" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xf30106d6, "skb_push" },
	{ 0xcadb7ec6, "__skb_gso_segment" },
	{ 0xf03f13ff, "kfree_skb_list_reason" },
	{ 0xa9a3340c, "skb_checksum_help" },
	{ 0xe104c088, "__skb_get_hash" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x2c57d6d3, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x37a0cba, "kfree" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xfe8cb1de, "iov_iter_npages" },
	{ 0x74c7c2e4, "sock_alloc_send_pskb" },
	{ 0xcec203cb, "skb_put" },
	{ 0x9417bc30, "zerocopy_sg_from_iter" },
	{ 0x13a33d96, "__dev_queue_xmit" },
	{ 0x757ebae4, "_copy_from_iter" },
	{ 0x762330ed, "skb_copy_datagram_from_iter" },
	{ 0xf1559362, "skb_partial_csum_set" },
	{ 0x12904a7e, "__skb_flow_dissect" },
	{ 0x94764242, "__pskb_pull_tail" },
	{ 0xaea6d19d, "iov_iter_revert" },
	{ 0xca4db0e6, "skb_copy_bits" },
	{ 0xff8f08ef, "idr_find" },
	{ 0x2f79e8be, "sk_alloc" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x42b09012, "sock_init_data_uid" },
	{ 0x946a23b5, "default_amr" },
	{ 0xb3933fcf, "dev_get_mac_address" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1413ce87, "dev_set_mac_address_user" },
	{ 0x8fe719aa, "build_skb" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "178A457882DA8678BC6D6E1");

MODULE_INFO(suserelease, "SLE15-SP6");
