#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__lbs_cmd, 0x167ed1dd, "_gpl");
SYMBOL_CRC(lbs_cmd_copyback, 0xb6ef4fcf, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0xfe53bb7b, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x97be0077, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x0619573f, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x28716635, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xde7c92a8, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xd14ec50f, "_gpl");
SYMBOL_CRC(lbs_resume, 0xbaf3538b, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xad7b6d5d, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0xe9cd12fd, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x74df3aab, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x58f062ed, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x2363cccd, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0x2a163586, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0xd5772d32, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x85c7f575, "cfg80211_scan_done" },
	{ 0x1daf37e8, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xfa290b4a, "unregister_netdev" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0xff39e2f, "request_firmware" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x5f6ce1c2, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a25de7a, "add_wait_queue" },
	{ 0x795019fc, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe41fc181, "dev_kfree_skb_irq_reason" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0xdd7355ec, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xd0fa87c0, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5d7223b4, "netdev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xaee6b02a, "pskb_expand_head" },
	{ 0xb15238d1, "wake_up_process" },
	{ 0x7481deb0, "dev_addr_mod" },
	{ 0x1a03f77b, "eth_type_trans" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x21342bb8, "alloc_netdev_mqs" },
	{ 0xec3c2299, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b68be54, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xadce2672, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc30fa92, "cfg80211_put_bss" },
	{ 0x4916a9af, "netif_device_detach" },
	{ 0x7844ffdf, "netif_device_attach" },
	{ 0x34e7d523, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x1be70456, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x10050432, "cfg80211_ibss_joined" },
	{ 0x182944d4, "request_firmware_nowait" },
	{ 0xecf25748, "simple_open" },
	{ 0x79534c91, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1598154, "cfg80211_michael_mic_failure" },
	{ 0x98fbbfe5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xf30106d6, "skb_push" },
	{ 0x9f0044ec, "debugfs_remove" },
	{ 0xd60d9457, "_raw_spin_unlock_irq" },
	{ 0x8cf2e0bd, "register_netdev" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xc5eadb64, "wiphy_unregister" },
	{ 0xd3f7bd21, "free_netdev" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x537e25b8, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x9032fa43, "cfg80211_get_bss" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xd0a6b501, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0xa9993fcd, "netif_rx" },
	{ 0x2df50b0, "jiffies" },
	{ 0xfc4d6ef3, "netdev_alert" },
	{ 0x35f0a6a0, "kthread_create_on_node" },
	{ 0xdd64e639, "strscpy" },
	{ 0x58411cae, "debugfs_create_file" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6ddcdca6, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9f5830d5, "netif_carrier_on" },
	{ 0x126c3cf2, "remove_wait_queue" },
	{ 0xdee0aa54, "cfg80211_inform_bss_data" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4e91b40d, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x904efdaa, "param_ops_int" },
	{ 0x6d2b3a34, "debugfs_create_dir" },
	{ 0x7b462f4e, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9fef85, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xaa0f4edf, "wiphy_free" },
	{ 0x9514151a, "_mcount" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x667901f5, "ieee80211_get_num_supported_channels" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xa27e31b6, "netdev_info" },
	{ 0xf68d60a0, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");

MODULE_INFO(suserelease, "SLE15-SP6");
