#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4348ce4, "usb_put_intf" },
	{ 0xcbc17cbc, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdcc7f0ec, "usb_free_urb" },
	{ 0xcec203cb, "skb_put" },
	{ 0x872d11c5, "usb_alloc_coherent" },
	{ 0x1daf37e8, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x589dc5c7, "skb_dequeue" },
	{ 0x930ba539, "ieee80211_free_hw" },
	{ 0xff39e2f, "request_firmware" },
	{ 0x4fb4e3, "usb_register_driver" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5f6ce1c2, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x91f29da3, "ieee80211_register_hw" },
	{ 0xf02414a3, "ieee80211_emulate_change_chanctx" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x92b8ac37, "usb_get_intf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0xb9837ed3, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b68be54, "_raw_spin_lock_irq" },
	{ 0xe8619154, "ieee80211_tx_status_irqsafe" },
	{ 0xe6718a4, "usb_bulk_msg" },
	{ 0x92db3e3b, "usb_reset_device" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xc6434c34, "usb_kill_anchored_urbs" },
	{ 0xd1cf2080, "usb_submit_urb" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0x362cd49a, "skb_queue_tail" },
	{ 0x8b9ab686, "usb_queue_reset_device" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x47ba9f80, "usb_free_coherent" },
	{ 0x79534c91, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x98fbbfe5, "kfree_skb_reason" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xf30106d6, "skb_push" },
	{ 0xd60d9457, "_raw_spin_unlock_irq" },
	{ 0x143dbc18, "usb_control_msg" },
	{ 0x473ec596, "ieee80211_wake_queues" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xa546e066, "ieee80211_alloc_hw_nm" },
	{ 0xf4962ec9, "usb_deregister" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0x49bd2221, "ieee80211_emulate_add_chanctx" },
	{ 0x54dff842, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x32e08603, "__netdev_alloc_skb" },
	{ 0x440fd9e4, "ieee80211_stop_queues" },
	{ 0x2df50b0, "jiffies" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6f4c3981, "ieee80211_unregister_hw" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc65279e0, "usb_reset_configuration" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x90958387, "usb_kill_urb" },
	{ 0x103b4c8b, "ieee80211_beacon_get_tim" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xe5001615, "mutex_destroy" },
	{ 0xd733969f, "ieee80211_emulate_remove_chanctx" },
	{ 0x9514151a, "_mcount" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xcce7a419, "ieee80211_rx_irqsafe" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mac80211,cfg80211");

MODULE_ALIAS("usb:v16C1p1CDEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2EF5p000Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "08CC1E713D251B19867AB6A");

MODULE_INFO(suserelease, "SLE15-SP6");
