#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__ssb_driver_register, 0x3209807b, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0xe1c7b971, "");
SYMBOL_CRC(ssb_bus_powerup, 0x6fc0a335, "");
SYMBOL_CRC(ssb_bus_resume, 0xb03e1c36, "");
SYMBOL_CRC(ssb_bus_suspend, 0xa60fe9f9, "");
SYMBOL_CRC(ssb_bus_unregister, 0xe18b101a, "");
SYMBOL_CRC(ssb_clockspeed, 0x94c94b59, "");
SYMBOL_CRC(ssb_commit_settings, 0x5524a1c0, "");
SYMBOL_CRC(ssb_device_disable, 0xa8d4a0dc, "");
SYMBOL_CRC(ssb_device_enable, 0xa914a735, "");
SYMBOL_CRC(ssb_device_is_enabled, 0xd4de72db, "");
SYMBOL_CRC(ssb_dma_translation, 0xe941efd6, "");
SYMBOL_CRC(ssb_driver_unregister, 0x6f209746, "");
SYMBOL_CRC(ssb_set_devtypedata, 0xcf41e356, "");
SYMBOL_CRC(ssb_pcihost_register, 0x95237cf6, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x77d76b01, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0x0e207a16, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xceb4a44e, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xff4bb38b, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x0375efeb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x970c568b, "pci_save_state" },
	{ 0x90b85339, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf9f58b2c, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x80460014, "dev_set_name" },
	{ 0xbb89dee5, "pci_iomap" },
	{ 0xc23ed386, "device_unregister" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x4b60fea7, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x96848186, "scnprintf" },
	{ 0x48c1ddc4, "__pci_register_driver" },
	{ 0x5e2ae369, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0x1e3ba8a4, "pci_request_regions" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x5466892d, "get_device" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x237481fb, "pci_unregister_driver" },
	{ 0xac3747d6, "dev_driver_string" },
	{ 0x558f54b6, "pci_read_config_dword" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x848d372e, "iowrite8" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x2267f015, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0x1be70456, "device_create_file" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xaa4f3fec, "gpiochip_get_data" },
	{ 0xebf345a, "bus_unregister" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x78085f70, "pci_read_config_word" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x5501bedf, "driver_unregister" },
	{ 0x254c9287, "ioremap" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xb1378c52, "mutex_lock_interruptible" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x12b0edd6, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8d35d3d3, "device_register" },
	{ 0xe8fa1b27, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x6450c3c8, "pci_set_master" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xd081708e, "gpiochip_add_data_with_key" },
	{ 0xf789bcbc, "_dev_emerg" },
	{ 0x8c6fbb05, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x21cdd218, "pci_release_regions" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1e69fdb3, "pci_disable_device" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x74def943, "pci_write_config_word" },
	{ 0x2ade5a41, "driver_register" },
	{ 0x9514151a, "_mcount" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2435efbb, "pci_write_config_dword" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0xf68d60a0, "device_remove_file" },
	{ 0x6c94f2c4, "bus_register" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CBFDB65B290950F02D02F2B");

MODULE_INFO(suserelease, "SLE15-SP6");
