#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ssd130x_probe, 0x9a10f15c, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xe5bf4247, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x8b10d6c8, "_gpl");
SYMBOL_CRC(ssd130x_variants, 0x423ba637, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0x8942b1d1, "regmap_write" },
	{ 0x6e34125, "__devm_drm_dev_alloc" },
	{ 0xcb7e86f6, "device_get_match_data" },
	{ 0x38b4d852, "device_property_read_u32_array" },
	{ 0x81c13d3, "device_property_read_u8_array" },
	{ 0x83df6059, "device_property_present" },
	{ 0x8dbd0486, "devm_gpiod_get_optional" },
	{ 0xb40d4706, "devm_backlight_device_register" },
	{ 0x1c566bd0, "drmm_mode_config_init" },
	{ 0x27616142, "drm_universal_plane_init" },
	{ 0x8d125bd6, "drm_plane_enable_fb_damage_clips" },
	{ 0xf1bcfefa, "drm_crtc_init_with_planes" },
	{ 0x5c6ab8ec, "drm_encoder_init" },
	{ 0xd3a230f8, "drm_connector_init" },
	{ 0xb8006879, "drm_connector_attach_encoder" },
	{ 0x38080e91, "drm_mode_config_reset" },
	{ 0x8ac2a3d7, "drm_dev_register" },
	{ 0xc80f2102, "drm_fbdev_generic_setup" },
	{ 0x8cb6a33b, "dev_err_probe" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0xf108c7c9, "drm_mode_duplicate" },
	{ 0x1e7fb50c, "drm_mode_probed_add" },
	{ 0x7a386173, "drm_set_preferred_mode" },
	{ 0x8a253b65, "drm_crtc_helper_atomic_check" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xff646516, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xbab7527d, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x3cea7d3, "drm_dev_enter" },
	{ 0xdcb764ad, "memset" },
	{ 0x12551379, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x8ff32006, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x8ece128a, "drm_gem_fb_begin_cpu_access" },
	{ 0x5dc7f568, "drm_fb_xrgb8888_to_gray8" },
	{ 0x8422c52, "drm_gem_fb_end_cpu_access" },
	{ 0xac3747d6, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7586e5a1, "drm_fb_xrgb8888_to_mono" },
	{ 0xa5e0a19f, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x91af371f, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x55f98802, "drm_dev_unplug" },
	{ 0x48eee755, "drm_atomic_helper_shutdown" },
	{ 0x20ce5ba6, "gpiod_set_value_cansleep" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x367f407f, "pwm_get" },
	{ 0x594ead06, "pwm_apply_state" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9d383a7d, "pwm_put" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xab62ab76, "__drm_atomic_helper_crtc_reset" },
	{ 0xa63bae4c, "drm_atomic_helper_check_plane_state" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xad5c2393, "__drm_gem_reset_shadow_plane" },
	{ 0xdcdc149d, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x72981f36, "drm_gem_shmem_dumb_create" },
	{ 0x7272c7eb, "drm_gem_fb_create_with_dirty" },
	{ 0xbdef4a1c, "drm_atomic_helper_check" },
	{ 0xf081143d, "drm_atomic_helper_commit" },
	{ 0x4356bfe4, "drm_atomic_helper_update_plane" },
	{ 0xa1447fdd, "drm_atomic_helper_disable_plane" },
	{ 0x7a79cf6d, "drm_plane_cleanup" },
	{ 0xeeeac310, "drm_gem_begin_shadow_fb_access" },
	{ 0x1464e6c9, "drm_gem_end_shadow_fb_access" },
	{ 0x504d04b4, "drm_crtc_cleanup" },
	{ 0xe8360f8f, "drm_atomic_helper_set_config" },
	{ 0xc067c5bd, "drm_atomic_helper_page_flip" },
	{ 0x2711cb4c, "drm_encoder_cleanup" },
	{ 0xf4af12a9, "drm_atomic_helper_connector_reset" },
	{ 0x533bb184, "drm_helper_probe_single_connector_modes" },
	{ 0x5376e115, "drm_connector_cleanup" },
	{ 0x9d17e336, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xe402c2dc, "drm_atomic_helper_connector_destroy_state" },
	{ 0x59d23501, "noop_llseek" },
	{ 0x1c95441f, "drm_read" },
	{ 0xbf5bd68d, "drm_poll" },
	{ 0x19b55b41, "drm_ioctl" },
	{ 0xd72c1193, "drm_gem_mmap" },
	{ 0x9f287023, "drm_open" },
	{ 0xcbdcd229, "drm_release" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "backlight");


MODULE_INFO(srcversion, "2C867496FD521210C39DECB");

MODULE_INFO(suserelease, "SLE15-SP6");
