#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(__ib_alloc_pd, 0xc7eda1a8, "");
SYMBOL_CRC(__ib_create_cq, 0xcb11beca, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(ib_advise_mr, 0x175a3dd7, "");
SYMBOL_CRC(ib_alloc_mr, 0xa0698ce5, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0xd9af800c, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0x821be350, "");
SYMBOL_CRC(ib_attach_mcast, 0x2c199683, "");
SYMBOL_CRC(ib_check_mr_status, 0xb3c59c6c, "");
SYMBOL_CRC(ib_close_qp, 0x80bd9eac, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0x0e6f46b4, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x4fae74b1, "");
SYMBOL_CRC(ib_create_qp_user, 0xde9a1eb3, "");
SYMBOL_CRC(ib_create_srq_user, 0xbffe0870, "");
SYMBOL_CRC(ib_create_wq, 0x8e8f0187, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x51e7915a, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x2b05010d, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x888c0ba7, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x609577a3, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x2440af1a, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x4163ab0c, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x4b5ec511, "");
SYMBOL_CRC(ib_detach_mcast, 0xac962082, "");
SYMBOL_CRC(ib_drain_qp, 0x4e055bd5, "");
SYMBOL_CRC(ib_drain_rq, 0x3ec2e99a, "");
SYMBOL_CRC(ib_drain_sq, 0xafbeb75a, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_get_eth_speed, 0x30a27822, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_vf_config, 0x5fbe4fda, "");
SYMBOL_CRC(ib_get_vf_guid, 0xcb4e09a3, "");
SYMBOL_CRC(ib_get_vf_stats, 0x5e7200a9, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0x52c117b2, "");
SYMBOL_CRC(ib_map_mr_sg, 0xf5fa1841, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xdf0ac706, "");
SYMBOL_CRC(ib_modify_qp, 0x0725f985, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x7606408c, "");
SYMBOL_CRC(ib_modify_srq, 0xf8b96eab, "");
SYMBOL_CRC(ib_open_qp, 0x57245d9d, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x14a08e80, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0xb1aa2564, "");
SYMBOL_CRC(ib_query_qp, 0x69270790, "");
SYMBOL_CRC(ib_query_srq, 0x802b4d02, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(ib_reg_user_mr, 0x7018f975, "");
SYMBOL_CRC(ib_resize_cq, 0x8f06822c, "");
SYMBOL_CRC(ib_set_vf_guid, 0xfed37015, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x300cf5e9, "");
SYMBOL_CRC(ib_sg_to_pages, 0x2addad0d, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x893eef6c, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x1c04e4b5, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0xa73ada2e, "");
SYMBOL_CRC(rdma_create_ah, 0x452cfd4a, "");
SYMBOL_CRC(rdma_create_user_ah, 0xac5b25df, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xb6c481be, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x0cb33a8d, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0x76686e25, "");
SYMBOL_CRC(rdma_init_netdev, 0x9ce704c2, "");
SYMBOL_CRC(rdma_modify_ah, 0x0b3b8f70, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xfb08a211, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xc01d7365, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x0254cad8, "");
SYMBOL_CRC(rdma_query_ah, 0xf696323a, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0xf9d1d4c7, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0xa83d8d5d, "");
SYMBOL_CRC(__ib_alloc_cq, 0x4db7b230, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x12e3db69, "");
SYMBOL_CRC(ib_cq_pool_get, 0x57b890ad, "");
SYMBOL_CRC(ib_cq_pool_put, 0x3fac29e3, "");
SYMBOL_CRC(ib_free_cq, 0x43110b9a, "");
SYMBOL_CRC(ib_process_cq_direct, 0xa11f24b1, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xd751ea85, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x8125caa7, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x492ac708, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0x447a0b05, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x53304760, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0x8b3e0734, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x1252040e, "");
SYMBOL_CRC(ib_port_register_client_groups, 0xae5cd2eb, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x1fb2043d, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0x3da4dd91, "");
SYMBOL_CRC(_ib_alloc_device, 0xf77be067, "");
SYMBOL_CRC(ib_dealloc_device, 0x9969ab7a, "");
SYMBOL_CRC(ib_device_get_by_name, 0x32d58d22, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x6c3ec764, "");
SYMBOL_CRC(ib_device_put, 0xe1d81592, "");
SYMBOL_CRC(ib_device_set_netdev, 0x9e0185e8, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0xe41e95ca, "");
SYMBOL_CRC(ib_find_gid, 0x53f60a2b, "");
SYMBOL_CRC(ib_find_pkey, 0x8f6f6143, "");
SYMBOL_CRC(ib_get_device_fw_str, 0x6c47bdc8, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xdea39860, "");
SYMBOL_CRC(ib_modify_device, 0x6cf731e2, "");
SYMBOL_CRC(ib_modify_port, 0x11366af4, "");
SYMBOL_CRC(ib_port_immutable_read, 0x03221194, "");
SYMBOL_CRC(ib_query_pkey, 0x0f5674dd, "");
SYMBOL_CRC(ib_query_port, 0x7d31b330, "");
SYMBOL_CRC(ib_register_client, 0x9201c607, "");
SYMBOL_CRC(ib_register_device, 0x4cb695d9, "");
SYMBOL_CRC(ib_register_event_handler, 0x4bc6030f, "");
SYMBOL_CRC(ib_set_client_data, 0x4176eb06, "");
SYMBOL_CRC(ib_set_device_ops, 0x0aec2bc3, "");
SYMBOL_CRC(ib_unregister_client, 0x8954e3ae, "");
SYMBOL_CRC(ib_unregister_device, 0x983272b0, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x94389fbc, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x4bac2e9f, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xe1877ac0, "");
SYMBOL_CRC(ibdev_alert, 0x4b43f085, "");
SYMBOL_CRC(ibdev_crit, 0x78eb1c65, "");
SYMBOL_CRC(ibdev_emerg, 0xa9da725f, "");
SYMBOL_CRC(ibdev_err, 0x2b207f8e, "");
SYMBOL_CRC(ibdev_info, 0x12c4b88f, "");
SYMBOL_CRC(ibdev_notice, 0x244fc22c, "");
SYMBOL_CRC(ibdev_printk, 0xb44d2b9b, "");
SYMBOL_CRC(ibdev_warn, 0x8c1f8693, "");
SYMBOL_CRC(rdma_dev_access_netns, 0x0573e6aa, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(ib_dispatch_event, 0xd83bf81b, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xae6ab75f, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0x3822f2b0, "");
SYMBOL_CRC(ib_get_cached_lmc, 0xe1d0f197, "");
SYMBOL_CRC(ib_get_cached_pkey, 0xda5947c9, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x6164d1bf, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x8d429575, "");
SYMBOL_CRC(rdma_find_gid, 0x03ec74b2, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0x2787f118, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xd4ed76bf, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0xb5b03250, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xdb1abed9, "");
SYMBOL_CRC(rdma_query_gid, 0x32b77d70, "");
SYMBOL_CRC(rdma_query_gid_table, 0xc544e545, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x6ce606dd, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xbf2d1399, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x916a5d66, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ibnl_put_attr, 0x6c008db8, "");
SYMBOL_CRC(ibnl_put_msg, 0x9887c704, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_multicast, 0x623cf06d, "");
SYMBOL_CRC(rdma_nl_register, 0xf6be010e, "");
SYMBOL_CRC(rdma_nl_unicast, 0x4126a2b5, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x1ff43d54, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0xd598ec08, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0x4b0b0a2e, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x114e8a56, "");
SYMBOL_CRC(ib_mr_pool_get, 0x8e915224, "");
SYMBOL_CRC(ib_mr_pool_init, 0xb74cf5b7, "");
SYMBOL_CRC(ib_mr_pool_put, 0x2ea53a1e, "");
SYMBOL_CRC(rdma_addr_cancel, 0x0c0b5f7f, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x9c988174, "");
SYMBOL_CRC(rdma_resolve_ip, 0x706c9059, "");
SYMBOL_CRC(rdma_translate_ip, 0x1fddf5cf, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xaeb956c9, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0x3cf3fb68, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x234afe2e, "");
SYMBOL_CRC(ib_sa_register_client, 0x6ddd8c03, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x71145c41, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xa8a044d5, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0xe066de28, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x1d2ab118, "");
SYMBOL_CRC(ib_create_send_mad, 0x60e0f314, "");
SYMBOL_CRC(ib_free_recv_mad, 0x7699bc5d, "");
SYMBOL_CRC(ib_free_send_mad, 0x1eeea8d0, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x0a2d6dd7, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0xaf5db6c2, "");
SYMBOL_CRC(ib_modify_mad, 0x9e13e922, "");
SYMBOL_CRC(ib_post_send_mad, 0x3b537edc, "");
SYMBOL_CRC(ib_register_mad_agent, 0x1a89cd32, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xf340fb8b, "");
SYMBOL_CRC(rdma_link_register, 0xcc37cc0f, "");
SYMBOL_CRC(rdma_link_unregister, 0xfc3278a0, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xc69e23c1, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x9cc5165a, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0x75252f84, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x162f0e27, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x36ca4831, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xa8f85cfc, "");
SYMBOL_CRC(rdma_restrack_add, 0xb7e056c1, "");
SYMBOL_CRC(rdma_restrack_count, 0x48d75a64, "");
SYMBOL_CRC(rdma_restrack_del, 0xfc8a260a, "");
SYMBOL_CRC(rdma_restrack_get, 0x2774e061, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x58e8d453, "");
SYMBOL_CRC(rdma_restrack_new, 0xee56a51d, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xca0830c4, "");
SYMBOL_CRC(rdma_restrack_put, 0x41ea56bc, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x5eed41a1, "");
SYMBOL_CRC(rdma_umap_priv_init, 0x642135ad, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0xbe05a8d0, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x88df2b17, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xe2a87e90, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xa6d537b4, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xf3b42d3b, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x51734c50, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x5045730b, "");
SYMBOL_CRC(ib_create_qp_security, 0x5308037d, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0x199f6db7, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x6a58cbd2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5d2bb5a9, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0x80d2fd67, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbbaba4f0, "vmemmap" },
	{ 0x562bdc50, "__init_rwsem" },
	{ 0xedb9e19d, "rdmacg_try_charge" },
	{ 0xef685695, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8e750d96, "bpf_trace_run4" },
	{ 0x2b98c1ba, "ida_destroy" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x37def959, "__nlmsg_put" },
	{ 0x37f35764, "wait_for_completion_timeout" },
	{ 0xcec203cb, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x80460014, "dev_set_name" },
	{ 0x1baf7126, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x464d5651, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd56d3b69, "trace_raw_output_prep" },
	{ 0x69f4cf94, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xeb5f07a5, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x26dc1c90, "__init_swait_queue_head" },
	{ 0xf11289dd, "__trace_trigger_soft_disabled" },
	{ 0xe8af5f5f, "dma_unmap_page_attrs" },
	{ 0x14e12a45, "trace_event_printf" },
	{ 0x61cf147, "__ip_dev_find" },
	{ 0xaaec9f8c, "sysfs_remove_groups" },
	{ 0x66157149, "__xa_erase" },
	{ 0xf2e07f17, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x7b5a0874, "xas_find" },
	{ 0x744303fb, "kobject_init" },
	{ 0x64b1c79d, "device_initialize" },
	{ 0x906c31b7, "__dynamic_ibdev_dbg" },
	{ 0xbda90e98, "sysfs_create_groups" },
	{ 0xa391ba6a, "trace_event_raw_init" },
	{ 0xf53f722e, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc962c926, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c19117b, "_raw_read_unlock_bh" },
	{ 0x9c78743d, "in6_dev_finish_destroy" },
	{ 0xfad5473b, "_raw_read_lock_bh" },
	{ 0xc16de9a3, "__netlink_kernel_create" },
	{ 0x8bec1a92, "bpf_trace_run2" },
	{ 0xe8dfea0d, "ip_route_output_flow" },
	{ 0x5466892d, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0xa091f1ce, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb22e440f, "netlink_broadcast_filtered" },
	{ 0xab25fbfd, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcd9326b6, "_raw_write_lock_irq" },
	{ 0xac3747d6, "dev_driver_string" },
	{ 0x1d2e1f7a, "trace_event_buffer_commit" },
	{ 0x1e11f6e0, "_raw_read_unlock_irqrestore" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x917ee93, "dma_map_page_attrs" },
	{ 0x21342bb8, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b68be54, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf6522848, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x2267f015, "put_device" },
	{ 0xd38fe6, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x952369ea, "__alloc_skb" },
	{ 0x1d610ae2, "netlink_capable" },
	{ 0x6a0e9312, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5371781a, "__task_pid_nr_ns" },
	{ 0x9e5fc77f, "__xa_alloc" },
	{ 0x80bebf38, "vlan_dev_real_dev" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x39ecaeac, "perf_trace_run_bpf_submit" },
	{ 0x6a8efee5, "down_write" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x6ac76a94, "init_net" },
	{ 0x12dfbebb, "kobject_add" },
	{ 0x897423e6, "up_write" },
	{ 0xf5809dac, "ipv6_stub" },
	{ 0x79534c91, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x361f4582, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x3612b098, "netlink_unicast" },
	{ 0x259248bc, "xa_load" },
	{ 0x268efda5, "dev_get_by_index" },
	{ 0x98fbbfe5, "kfree_skb_reason" },
	{ 0xe6a0a4a1, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xf30106d6, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0xd60d9457, "_raw_spin_unlock_irq" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xffb28752, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x83ec1b3f, "netlink_kernel_release" },
	{ 0x30c8913b, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xa2e5be27, "unregister_pernet_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xf26e89a6, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x36766f99, "xa_clear_mark" },
	{ 0xa1c93c06, "bpf_trace_run1" },
	{ 0x7fcdb46f, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa36e5359, "_raw_write_unlock_irq" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x672de7bd, "netdev_get_xmit_slave" },
	{ 0xdcb764ad, "memset" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0xcb4ca48b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xece784c2, "rb_first" },
	{ 0x8f75a215, "__neigh_event_send" },
	{ 0xd293dcfd, "dev_printk_emit" },
	{ 0x2b7f8a8a, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x385acc7e, "down_read" },
	{ 0x5f5bfe58, "skb_trim" },
	{ 0x37487f5, "netdev_has_upper_dev_all_rcu" },
	{ 0xa8ed0c5c, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x105d3f1f, "__xa_insert" },
	{ 0xdb758829, "xa_erase" },
	{ 0x18b4daae, "netdev_walk_all_upper_dev_rcu" },
	{ 0x8717fb09, "bpf_trace_run3" },
	{ 0x4b52fa2a, "__put_net" },
	{ 0x29dcd8a7, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x46a65650, "neigh_destroy" },
	{ 0xaf0b3aeb, "kobject_del" },
	{ 0x356f408d, "trace_event_buffer_reserve" },
	{ 0x99943154, "dma_map_sgtable" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6ce69149, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c2cd1a2, "param_ops_bool" },
	{ 0x63793342, "xa_destroy" },
	{ 0xd66790b8, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2c4d4fb0, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x73470bd2, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xe0ace20f, "dev_get_by_name" },
	{ 0x61e58e13, "netlink_ns_capable" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0x2c7347d7, "dst_release" },
	{ 0xa0ac5292, "kobject_uevent" },
	{ 0x17498dde, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x70fb921b, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd7695464, "vlan_dev_vlan_id" },
	{ 0xce766d5c, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xcc82477a, "xa_find_after" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x740dcc47, "ipv6_chk_addr" },
	{ 0xe3fdcfb9, "xa_set_mark" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x904efdaa, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe5001615, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x37861b08, "netlink_has_listeners" },
	{ 0xfcaf49b0, "trace_handle_return" },
	{ 0xa18cddf6, "up_read" },
	{ 0xc79e592f, "register_pernet_device" },
	{ 0xe08a924d, "get_net_ns_by_fd" },
	{ 0x9514151a, "_mcount" },
	{ 0xd643eaf4, "class_register" },
	{ 0x243e54c, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xbc647c9f, "kobject_put" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4BB7C1A582FBFD527B5812B");

MODULE_INFO(suserelease, "SLE15-SP6");
