#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ocxl_config_get_actag_info, 0x274be618, "_gpl");
SYMBOL_CRC(ocxl_config_read_afu, 0x7196b2ea, "_gpl");
SYMBOL_CRC(ocxl_config_read_function, 0xd67d0ce8, "_gpl");
SYMBOL_CRC(ocxl_config_set_TL, 0x649e1fca, "_gpl");
SYMBOL_CRC(ocxl_config_set_actag, 0x28dc703c, "_gpl");
SYMBOL_CRC(ocxl_config_set_afu_actag, 0x31d5a65c, "_gpl");
SYMBOL_CRC(ocxl_config_set_afu_pasid, 0x8146a8db, "_gpl");
SYMBOL_CRC(ocxl_config_set_afu_state, 0xd9d0c590, "_gpl");
SYMBOL_CRC(ocxl_config_terminate_pasid, 0x349724ad, "_gpl");
SYMBOL_CRC(ocxl_global_mmio_clear32, 0xeb8f2b9e, "_gpl");
SYMBOL_CRC(ocxl_global_mmio_clear64, 0x758f976a, "_gpl");
SYMBOL_CRC(ocxl_global_mmio_read32, 0x1ea26a11, "_gpl");
SYMBOL_CRC(ocxl_global_mmio_read64, 0xaca52f0f, "_gpl");
SYMBOL_CRC(ocxl_global_mmio_set32, 0x5b9d3874, "_gpl");
SYMBOL_CRC(ocxl_global_mmio_set64, 0xc59d8480, "_gpl");
SYMBOL_CRC(ocxl_global_mmio_write32, 0x510db747, "_gpl");
SYMBOL_CRC(ocxl_global_mmio_write64, 0xcf0d0bb3, "_gpl");
SYMBOL_CRC(ocxl_link_add_pe, 0x033c23c6, "_gpl");
SYMBOL_CRC(ocxl_link_free_irq, 0x5d8814ea, "_gpl");
SYMBOL_CRC(ocxl_link_irq_alloc, 0xd57e0fa7, "_gpl");
SYMBOL_CRC(ocxl_link_release, 0xc003b679, "_gpl");
SYMBOL_CRC(ocxl_link_remove_pe, 0x2d876dd2, "_gpl");
SYMBOL_CRC(ocxl_link_setup, 0xf2c03a01, "_gpl");
SYMBOL_CRC(ocxl_context_alloc, 0x2e238531, "_gpl");
SYMBOL_CRC(ocxl_context_attach, 0xbeae32a6, "_gpl");
SYMBOL_CRC(ocxl_context_detach, 0x3dfb5df4, "_gpl");
SYMBOL_CRC(ocxl_context_free, 0x50e1281f, "_gpl");
SYMBOL_CRC(ocxl_afu_irq_alloc, 0x315597a0, "_gpl");
SYMBOL_CRC(ocxl_afu_irq_free, 0xaec520e3, "_gpl");
SYMBOL_CRC(ocxl_afu_irq_get_addr, 0x5ddf0a80, "_gpl");
SYMBOL_CRC(ocxl_irq_set_handler, 0x02d11e53, "_gpl");
SYMBOL_CRC(ocxl_afu_config, 0x75cb137a, "_gpl");
SYMBOL_CRC(ocxl_afu_get, 0xd20e51a8, "_gpl");
SYMBOL_CRC(ocxl_afu_get_private, 0xcf6a435d, "_gpl");
SYMBOL_CRC(ocxl_afu_put, 0x9c42e133, "_gpl");
SYMBOL_CRC(ocxl_afu_set_private, 0x0cffd06d, "_gpl");
SYMBOL_CRC(ocxl_function_afu_list, 0x6a7b358f, "_gpl");
SYMBOL_CRC(ocxl_function_close, 0x1963ee50, "_gpl");
SYMBOL_CRC(ocxl_function_config, 0xc266e5e9, "_gpl");
SYMBOL_CRC(ocxl_function_fetch_afu, 0x75c518c1, "_gpl");
SYMBOL_CRC(ocxl_function_open, 0xd279f32a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x996c911c, "pnv_ocxl_get_xsl_irq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x60e66b49, "pci_request_region" },
	{ 0xe1eff241, "vmf_insert_pfn" },
	{ 0x1aa2b3f1, "tlbie_capable" },
	{ 0x993de4d0, "pci_find_ext_capability" },
	{ 0x8e750d96, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xff8f08ef, "idr_find" },
	{ 0x6eeb3c53, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf9f58b2c, "pci_enable_device" },
	{ 0xc6cff14, "pnv_ocxl_get_actag" },
	{ 0x80460014, "dev_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd56d3b69, "trace_raw_output_prep" },
	{ 0x1294ddd, "pci_dev_put" },
	{ 0xc23ed386, "device_unregister" },
	{ 0xf11289dd, "__trace_trigger_soft_disabled" },
	{ 0x3b63c970, "radix_tree_lookup" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xf079e331, "class_destroy" },
	{ 0x14e12a45, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x3df6efe6, "pnv_ocxl_unmap_lpar" },
	{ 0x48c1ddc4, "__pci_register_driver" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0xedc03953, "iounmap" },
	{ 0xdc791d1, "set_thread_tidr" },
	{ 0x9bdbf045, "prepare_to_wait" },
	{ 0xa391ba6a, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6f2aa1fa, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x8bec1a92, "bpf_trace_run2" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x5466892d, "get_device" },
	{ 0xdbc72ac2, "xive_native_alloc_irq_on_chip" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x237481fb, "pci_unregister_driver" },
	{ 0xe5e812f3, "device_create_bin_file" },
	{ 0x5cdeddd2, "radix__flush_all_mm" },
	{ 0x1d2e1f7a, "trace_event_buffer_commit" },
	{ 0x558f54b6, "pci_read_config_dword" },
	{ 0xc2848b0, "pci_domain_nr" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x2267f015, "put_device" },
	{ 0x70c4fec1, "pnv_ocxl_map_xsl_regs" },
	{ 0x366e1dd3, "idr_get_next" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0x8fb04d68, "pnv_ocxl_spa_release" },
	{ 0xfa45fb07, "cdev_add" },
	{ 0x1be70456, "device_create_file" },
	{ 0x7d1ea42c, "idr_remove" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0xd64b7ed, "radix_tree_delete" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x39ecaeac, "perf_trace_run_bpf_submit" },
	{ 0x6a8efee5, "down_write" },
	{ 0x8e6e8feb, "pnv_ocxl_get_tl_cap" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x897423e6, "up_write" },
	{ 0xb1899e52, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xe01e65c5, "irq_get_irq_data" },
	{ 0xcb542b89, "bpf_trace_run5" },
	{ 0x6de8b74c, "class_create" },
	{ 0xa728c9cf, "pci_get_domain_bus_and_slot" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x9c19a0d7, "hash_page_mm" },
	{ 0x78085f70, "pci_read_config_word" },
	{ 0xffb28752, "trace_event_reg" },
	{ 0x170b38f6, "mmu_notifier_unregister" },
	{ 0x47b7a692, "cpu_feature_keys" },
	{ 0x254c9287, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x8d35d3d3, "device_register" },
	{ 0xa1c93c06, "bpf_trace_run1" },
	{ 0x9243c937, "idr_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0xcf45ef18, "pnv_ocxl_get_pasid_count" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xbc463036, "__mmdrop" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x8717fb09, "bpf_trace_run3" },
	{ 0xa13b2962, "pnv_ocxl_tlb_invalidate" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbee47b0, "pnv_ocxl_spa_setup" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x356f408d, "trace_event_buffer_reserve" },
	{ 0x3e9d9b03, "mmput" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x6f98684f, "pci_write_config_byte" },
	{ 0xba70d9a8, "pci_dev_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc6e7e94a, "irq_create_mapping_affinity" },
	{ 0x23cd7304, "copro_handle_mm_fault" },
	{ 0xd5aceb45, "pci_find_next_ext_capability" },
	{ 0x7616c12d, "pnv_ocxl_map_lpar" },
	{ 0xbf026863, "mmu_notifier_register" },
	{ 0x1e69fdb3, "pci_disable_device" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xd2109e13, "pci_find_dvsec_capability" },
	{ 0x6567722f, "pci_read_config_byte" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0xf5cd3243, "pnv_ocxl_spa_remove_pe_from_cache" },
	{ 0x447f237f, "pnv_ocxl_unmap_xsl_regs" },
	{ 0x1a6cd551, "pnv_ocxl_set_tl_conf" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x6e4b0af9, "pci_release_region" },
	{ 0xe7ce7439, "_memcpy_fromio" },
	{ 0xfcaf49b0, "trace_handle_return" },
	{ 0x9514151a, "_mcount" },
	{ 0x617e7039, "cdev_init" },
	{ 0x2435efbb, "pci_write_config_dword" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xeb041e79, "device_remove_bin_file" },
	{ 0x60ae8048, "cdev_del" },
	{ 0xf68d60a0, "device_remove_file" },
	{ 0x508377eb, "xive_native_free_irq" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001014d0000062Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "A4D6058F05AD21F25A96FF2");

MODULE_INFO(suserelease, "SLE15-SP6");
