#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(be_roce_mcc_cmd, 0x4e2e10d2, "");
SYMBOL_CRC(be_roce_register_driver, 0x496d1c81, "");
SYMBOL_CRC(be_roce_unregister_driver, 0x288a1d25, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d2ca8de, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x970c568b, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x879c0f26, "__skb_pad" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf32368a4, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xbbaba4f0, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xca4db0e6, "skb_copy_bits" },
	{ 0x285e3782, "param_ops_uint" },
	{ 0x37f35764, "wait_for_completion_timeout" },
	{ 0xf9f58b2c, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x45c10740, "param_ops_ushort" },
	{ 0x1daf37e8, "consume_skb" },
	{ 0xbb89dee5, "pci_iomap" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x16c1c96, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x464d5651, "complete" },
	{ 0x73b0f61e, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc46dcab0, "ndo_dflt_bridge_getlink" },
	{ 0xfa290b4a, "unregister_netdev" },
	{ 0xbb11dcf2, "napi_get_frags" },
	{ 0x26dc1c90, "__init_swait_queue_head" },
	{ 0xe8af5f5f, "dma_unmap_page_attrs" },
	{ 0xff39e2f, "request_firmware" },
	{ 0x48c1ddc4, "__pci_register_driver" },
	{ 0x8ed9353c, "pci_num_vf" },
	{ 0x1e3ba8a4, "pci_request_regions" },
	{ 0xdb99d087, "___pskb_trim" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x18ebbc37, "pci_sriov_get_totalvfs" },
	{ 0x907baed7, "__put_devmap_managed_page_refs" },
	{ 0x795019fc, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x704ccf03, "udp_tunnel_nic_ops" },
	{ 0xb727d448, "__netif_napi_del" },
	{ 0x557e57ce, "netif_tx_unlock" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x237481fb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xaee6b02a, "pskb_expand_head" },
	{ 0xac3747d6, "dev_driver_string" },
	{ 0x7481deb0, "dev_addr_mod" },
	{ 0x1a03f77b, "eth_type_trans" },
	{ 0x558f54b6, "pci_read_config_dword" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x917ee93, "dma_map_page_attrs" },
	{ 0xd87b277a, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x1e1716aa, "__napi_schedule" },
	{ 0x37c788b, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x4916a9af, "netif_device_detach" },
	{ 0xaa213f88, "__hw_addr_unsync_dev" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0x7844ffdf, "netif_device_attach" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x19d93f6d, "__irq_apply_affinity_hint" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x1743c313, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3f365530, "netif_set_real_num_tx_queues" },
	{ 0x43d36fa3, "netif_set_real_num_rx_queues" },
	{ 0x98fbbfe5, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xf30106d6, "skb_push" },
	{ 0x2b97df, "dma_alloc_attrs" },
	{ 0x21689047, "napi_enable" },
	{ 0x61bc594b, "netif_receive_skb" },
	{ 0x8cf2e0bd, "register_netdev" },
	{ 0xa39b4cf2, "udelay" },
	{ 0xd3f7bd21, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa733ad97, "ethtool_op_get_link" },
	{ 0x9670e33d, "netif_set_xps_queue" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xb1378c52, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x12b0edd6, "pci_iounmap" },
	{ 0xe8fa1b27, "pci_restore_state" },
	{ 0xd0a6b501, "netif_tx_wake_queue" },
	{ 0xdb95bd87, "dma_sync_single_for_cpu" },
	{ 0xc814e89e, "devm_hwmon_device_register_with_groups" },
	{ 0xdcb764ad, "memset" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0x6450c3c8, "pci_set_master" },
	{ 0xcb4ca48b, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x94764242, "__pskb_pull_tail" },
	{ 0x4dfac64a, "netif_tx_lock" },
	{ 0x32e08603, "__netdev_alloc_skb" },
	{ 0x2df50b0, "jiffies" },
	{ 0x64baed74, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x274dc2b, "netif_get_num_default_rss_queues" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb2b3f958, "dma_free_attrs" },
	{ 0xa774271e, "pci_enable_wake" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21cdd218, "pci_release_regions" },
	{ 0xbb18f2c5, "alloc_pages" },
	{ 0x992c1e6f, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6ddcdca6, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x438e3f20, "skb_clone" },
	{ 0xd6faedcb, "__hw_addr_sync_dev" },
	{ 0xbc91601, "pci_disable_sriov" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0x9f5830d5, "netif_carrier_on" },
	{ 0x485eda6e, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1e69fdb3, "pci_disable_device" },
	{ 0x8c95bbd9, "dma_set_mask" },
	{ 0x5a415a4e, "netif_set_tso_max_size" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xaa094e21, "napi_schedule_prep" },
	{ 0xdbcf0813, "pci_sriov_set_totalvfs" },
	{ 0x98cf60b3, "strlen" },
	{ 0x53e92297, "napi_disable" },
	{ 0x4e91b40d, "dev_kfree_skb_any_reason" },
	{ 0x35a007bd, "_dev_printk" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0xe56eb6ef, "pci_enable_sriov" },
	{ 0x9514151a, "_mcount" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2435efbb, "pci_write_config_dword" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xa27e31b6, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019A2d00000211sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000700sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000221sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000710sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E220sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd0000E228sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000720sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "CDBC9FBDC93D00C793B25C6");

MODULE_INFO(suserelease, "SLE15-SP6");
