#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0x0d350a15, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xdcb69a0b, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xc5288c27, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xfa8f0d08, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xaea65424, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x49d323e3, "xsk_tx_completed" },
	{ 0x8d2ca8de, "alloc_etherdev_mqs" },
	{ 0x2dd24617, "netdev_lower_get_next" },
	{ 0xc118b90d, "flow_block_cb_lookup" },
	{ 0x970c568b, "pci_save_state" },
	{ 0xe65e8db9, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xcb8850fa, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x90b85339, "device_set_wakeup_enable" },
	{ 0x879c0f26, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xecb5142e, "flow_rule_match_enc_keyid" },
	{ 0xbbaba4f0, "vmemmap" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x993de4d0, "pci_find_ext_capability" },
	{ 0x9a4f1283, "kthread_create_worker" },
	{ 0xf6037235, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa047d695, "xp_dma_map" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0xff74a5c5, "devlink_unregister" },
	{ 0xca4db0e6, "skb_copy_bits" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xff8f08ef, "idr_find" },
	{ 0xf21257b3, "devm_request_threaded_irq" },
	{ 0x2f5eeb7, "kthread_cancel_delayed_work_sync" },
	{ 0x7b91f8cd, "dpll_device_change_ntf" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x682d0705, "devm_kmalloc" },
	{ 0xc096daae, "pci_wake_from_d3" },
	{ 0xa457275e, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xa6d40da2, "call_switchdev_notifiers" },
	{ 0xbbb23b89, "__napi_alloc_skb" },
	{ 0x41581e00, "flow_indr_dev_register" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3488dc0f, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xcf309ef, "ethtool_forced_speed_maps_init" },
	{ 0x2cff3e04, "auxiliary_device_init" },
	{ 0x1807ab5e, "pci_enable_device_mem" },
	{ 0x1daf37e8, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0xdb913583, "flow_rule_match_enc_ip" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xab8d9a6, "pci_alloc_irq_vectors" },
	{ 0x9031dedc, "flow_rule_match_l2tpv3" },
	{ 0x16c1c96, "netif_napi_add_weight" },
	{ 0xd76dedcc, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xad870e56, "xsk_tx_peek_release_desc_batch" },
	{ 0x73b0f61e, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x46a008f0, "dmam_alloc_attrs" },
	{ 0xd56d3b69, "trace_raw_output_prep" },
	{ 0x69931e12, "devl_lock" },
	{ 0x1294ddd, "pci_dev_put" },
	{ 0x5b67c74, "xp_fill_cb" },
	{ 0xb137d540, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc46dcab0, "ndo_dflt_bridge_getlink" },
	{ 0xfa290b4a, "unregister_netdev" },
	{ 0x2a4233a3, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xc8f981f4, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x37e9515d, "xdp_features_set_redirect_target" },
	{ 0xf11289dd, "__trace_trigger_soft_disabled" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0x933a2afb, "pci_get_device" },
	{ 0xcbc3b94e, "eeh_check_failure" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xe8af5f5f, "dma_unmap_page_attrs" },
	{ 0xff39e2f, "request_firmware" },
	{ 0x14e12a45, "trace_event_printf" },
	{ 0xa48b14f3, "dev_uc_del" },
	{ 0xf7370f56, "system_state" },
	{ 0x7770aab7, "flow_rule_match_cvlan" },
	{ 0x48c1ddc4, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x797e9935, "devlink_params_unregister" },
	{ 0xd84c437e, "dma_sync_single_for_device" },
	{ 0x91dc9ba6, "gnss_insert_raw" },
	{ 0x8ed9353c, "pci_num_vf" },
	{ 0x90d021e7, "flow_rule_match_eth_addrs" },
	{ 0x1474f699, "skb_add_rx_frag" },
	{ 0xfba1626c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xce3e3a94, "ptp_clock_index" },
	{ 0xa391ba6a, "trace_event_raw_init" },
	{ 0x47fe539b, "is_kdump_kernel" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56803d03, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cbc057e, "devlink_alloc_ns" },
	{ 0x65417477, "devl_rate_leaf_destroy" },
	{ 0xfc5d2d60, "devlink_register" },
	{ 0x77ead3a5, "xdp_do_redirect" },
	{ 0xca823d53, "devlink_free" },
	{ 0x795019fc, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x3c15b31b, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8bec1a92, "bpf_trace_run2" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0x9221f7a2, "devl_rate_node_create" },
	{ 0xf93ba773, "netdev_warn" },
	{ 0x704ccf03, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x88dcdbff, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x52160289, "devl_rate_nodes_destroy" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1ae143b2, "pci_irq_vector" },
	{ 0xf3305373, "flow_rule_match_ipv4_addrs" },
	{ 0xb727d448, "__netif_napi_del" },
	{ 0xb4f48214, "dpll_pin_on_pin_unregister" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x126f79e6, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x237481fb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x5d7223b4, "netdev_err" },
	{ 0xaee6b02a, "pskb_expand_head" },
	{ 0xc007e340, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x72bdc213, "devlink_flash_update_status_notify" },
	{ 0xac3747d6, "dev_driver_string" },
	{ 0x28fda225, "pci_restore_msi_state" },
	{ 0x1d2e1f7a, "trace_event_buffer_commit" },
	{ 0x101223e3, "xdp_return_buff" },
	{ 0x7481deb0, "dev_addr_mod" },
	{ 0xfe842259, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xd653b126, "sched_clock" },
	{ 0x1a03f77b, "eth_type_trans" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0xd81b6dc3, "auxiliary_driver_unregister" },
	{ 0x917ee93, "dma_map_page_attrs" },
	{ 0xd87b277a, "napi_complete_done" },
	{ 0x2255e280, "switchdev_handle_port_obj_del" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xf6522848, "___ratelimit" },
	{ 0xa8eb5b3d, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc97f74cc, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xa9a3340c, "skb_checksum_help" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x2267f015, "put_device" },
	{ 0xc29ddea9, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x1e1716aa, "__napi_schedule" },
	{ 0x535713fa, "ipv6_skip_exthdr" },
	{ 0xb09cc300, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x7bf6cd39, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9159c1c4, "__free_pages" },
	{ 0xfc100c7c, "netdev_dpll_pin_clear" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xaa213f88, "__hw_addr_unsync_dev" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0xd3b63085, "napi_gro_receive" },
	{ 0x27fc8482, "xdp_features_clear_redirect_target" },
	{ 0xe89b534d, "netdev_pick_tx" },
	{ 0xd03fd8e4, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc280fb9b, "xp_raw_get_dma" },
	{ 0x51ee84bb, "eth_get_headlen" },
	{ 0x68930ad1, "pci_iov_virtfn_devfn" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x29f38169, "xdp_rxq_info_is_reg" },
	{ 0xe450ebc4, "flow_rule_match_enc_opts" },
	{ 0xdba8374f, "flow_block_cb_setup_simple" },
	{ 0xe5c23f74, "pci_msix_can_alloc_dyn" },
	{ 0xef25ddb9, "flow_rule_match_basic" },
	{ 0x7d1ea42c, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf41bfd8a, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xbc982b06, "eeh_subsystem_flags" },
	{ 0x7630a491, "pcim_iomap_regions" },
	{ 0xf2e55b62, "devlink_region_create" },
	{ 0x9e5fc77f, "__xa_alloc" },
	{ 0x80bebf38, "vlan_dev_real_dev" },
	{ 0x1e07c759, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e582541, "devm_kmemdup" },
	{ 0x80eb832d, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x39ecaeac, "perf_trace_run_bpf_submit" },
	{ 0x19d93f6d, "__irq_apply_affinity_hint" },
	{ 0x55a6d898, "devlink_port_unregister" },
	{ 0xacf4d820, "devlink_flash_update_timeout_notify" },
	{ 0xc9e63811, "devm_kfree" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x6ac76a94, "init_net" },
	{ 0x1743c313, "softnet_data" },
	{ 0xecf25748, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x9d316ac6, "xdp_return_frame" },
	{ 0xb1899e52, "idr_alloc" },
	{ 0x6d3f1783, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x7aa140be, "xp_dma_sync_for_cpu_slow" },
	{ 0xaa82aeb8, "hwmon_device_register_with_info" },
	{ 0x3e69c316, "__traceiter_xdp_exception" },
	{ 0x3f365530, "netif_set_real_num_tx_queues" },
	{ 0xbabe8bb8, "__auxiliary_device_add" },
	{ 0xdb1345b4, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x259248bc, "xa_load" },
	{ 0x43d36fa3, "netif_set_real_num_rx_queues" },
	{ 0xf5b01b25, "flow_indr_block_cb_alloc" },
	{ 0xe0a377e5, "pci_wait_for_pending_transaction" },
	{ 0x9ac22797, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x6186b6c4, "pci_device_is_present" },
	{ 0x9f0044ec, "debugfs_remove" },
	{ 0x78085f70, "pci_read_config_word" },
	{ 0x4b20fcc9, "pcie_flr" },
	{ 0x21689047, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0xb8e61b79, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3de9082d, "dcbnl_ieee_notify" },
	{ 0xa02bd9f6, "xsk_uses_need_wakeup" },
	{ 0x8cf2e0bd, "register_netdev" },
	{ 0x3b89d786, "dev_mc_del" },
	{ 0xffb28752, "trace_event_reg" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xd3f7bd21, "free_netdev" },
	{ 0x8b6520af, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xd48fdeef, "dql_completed" },
	{ 0xc4915824, "netdev_dpll_pin_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xa733ad97, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x9670e33d, "netif_set_xps_queue" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xd6fd4053, "__arch_hweight32" },
	{ 0xa749b93e, "netif_tx_stop_all_queues" },
	{ 0xe8fa1b27, "pci_restore_state" },
	{ 0xa1c93c06, "bpf_trace_run1" },
	{ 0xd0a6b501, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x7fcdb46f, "device_del" },
	{ 0x9243c937, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0xdb95bd87, "dma_sync_single_for_cpu" },
	{ 0x4c376d59, "dcb_getapp" },
	{ 0xea8ffe4, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xdcb764ad, "memset" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0xdee3a4bf, "flow_rule_match_ports" },
	{ 0x37364d86, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc1be5e7d, "ptp_clock_event" },
	{ 0xd88d7706, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xcaa79ce8, "netif_schedule_queue" },
	{ 0x8f6eb0b6, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6450c3c8, "pci_set_master" },
	{ 0x8e97ec2a, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x19078e4f, "flow_rule_match_ipv6_addrs" },
	{ 0xa647e2d2, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0xf8731e6d, "ptp_clock_unregister" },
	{ 0x94764242, "__pskb_pull_tail" },
	{ 0x7f744332, "xp_dma_unmap" },
	{ 0x2e0ac7a, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x89f28a97, "rhashtable_destroy" },
	{ 0x68b7a2db, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x29d02c8c, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf10a754a, "__dynamic_netdev_dbg" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x64baed74, "dma_set_coherent_mask" },
	{ 0x105d3f1f, "__xa_insert" },
	{ 0x7505e122, "devm_kasprintf" },
	{ 0xdb758829, "xa_erase" },
	{ 0xc4c75c53, "flow_rule_match_pppoe" },
	{ 0xfbcc7722, "flow_rule_match_enc_control" },
	{ 0x8717fb09, "bpf_trace_run3" },
	{ 0xa61a6be6, "seq_read" },
	{ 0xd849ef83, "__page_frag_cache_drain" },
	{ 0x5b8ec6f7, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x29dcd8a7, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x78a5f172, "gnss_deregister_device" },
	{ 0x58411cae, "debugfs_create_file" },
	{ 0x57c39083, "rps_may_expire_flow" },
	{ 0x4cc69197, "metadata_dst_free" },
	{ 0x348dfae7, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8b6e0daf, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6f354e7, "devlink_params_register" },
	{ 0x356f408d, "trace_event_buffer_reserve" },
	{ 0xa3966cfa, "kthread_destroy_worker" },
	{ 0xfdeadf75, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9c7b50f0, "flow_rule_match_enc_ports" },
	{ 0x17c91abe, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xfdaaaf04, "netif_queue_set_napi" },
	{ 0x63793342, "xa_destroy" },
	{ 0xd8caf509, "call_netdevice_notifiers" },
	{ 0xd66790b8, "xa_find" },
	{ 0x35db6a48, "pcie_print_link_status" },
	{ 0x7d265f9b, "xp_set_rxq_info" },
	{ 0x6c11f644, "flow_rule_match_vlan" },
	{ 0x14eabbbd, "xdp_rxq_info_unreg" },
	{ 0xba70d9a8, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x16c5fcd9, "napi_build_skb" },
	{ 0x2c4d4fb0, "netdev_master_upper_dev_get_rcu" },
	{ 0x2570e0bd, "__xdp_rxq_info_reg" },
	{ 0x7a376f42, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x72c98139, "__arch_hweight64" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6ddcdca6, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9ab5d0db, "seq_printf" },
	{ 0xee283044, "dpll_pin_register" },
	{ 0xcb52f674, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdba14e51, "devlink_priv" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xd6faedcb, "__hw_addr_sync_dev" },
	{ 0x7f22cb28, "devlink_port_register_with_ops" },
	{ 0xbc91601, "pci_disable_sriov" },
	{ 0xef139700, "pldmfw_flash_image" },
	{ 0xf1be8216, "kthread_queue_delayed_work" },
	{ 0x58245693, "metadata_dst_alloc" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0x2c7347d7, "dst_release" },
	{ 0x9f5830d5, "netif_carrier_on" },
	{ 0x7bb5d143, "netdev_set_num_tc" },
	{ 0x58114deb, "dpll_device_register" },
	{ 0xb147a855, "dql_reset" },
	{ 0x2cefe7ad, "hwmon_device_unregister" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdae26e78, "dev_uc_add_excl" },
	{ 0x1e69fdb3, "pci_disable_device" },
	{ 0x35ad032c, "xp_free" },
	{ 0x7a750294, "dev_mc_add_excl" },
	{ 0xf325c9d1, "gnss_put_device" },
	{ 0x1765e458, "single_release" },
	{ 0x8c95bbd9, "dma_set_mask" },
	{ 0x293c6cb6, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a415a4e, "netif_set_tso_max_size" },
	{ 0x12904a7e, "__skb_flow_dissect" },
	{ 0xd7695464, "vlan_dev_vlan_id" },
	{ 0xe4d45a8e, "pci_msix_alloc_irq_at" },
	{ 0xcc82477a, "xa_find_after" },
	{ 0xb6646d3a, "pcim_iomap_table" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x37c47a77, "xdp_master_redirect" },
	{ 0x5087e186, "__devm_add_action" },
	{ 0x80cee11a, "dpll_pin_on_pin_register" },
	{ 0xaa094e21, "napi_schedule_prep" },
	{ 0x320f9bdc, "napi_consume_skb" },
	{ 0x6567722f, "pci_read_config_byte" },
	{ 0x969dfb5d, "xp_alloc_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0x53e92297, "napi_disable" },
	{ 0x4e91b40d, "dev_kfree_skb_any_reason" },
	{ 0x5906394c, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x904efdaa, "param_ops_int" },
	{ 0x296affec, "single_open" },
	{ 0x2a24f4e0, "pcim_enable_device" },
	{ 0xe5001615, "mutex_destroy" },
	{ 0x349cba85, "strchr" },
	{ 0x6d2b3a34, "debugfs_create_dir" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0xc583d2b0, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd26859ec, "flow_rule_match_control" },
	{ 0x9c65a2d3, "flow_rule_match_ip" },
	{ 0xe56eb6ef, "pci_enable_sriov" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0xfcaf49b0, "trace_handle_return" },
	{ 0x95f752cf, "dpll_device_get" },
	{ 0x9514151a, "_mcount" },
	{ 0xb4a53c7c, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x755bae60, "ethtool_op_get_ts_info" },
	{ 0x78a9e905, "_numa_mem_" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xa27e31b6, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x719aaf9d, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "947D5B27A3B10D8976154B3");

MODULE_INFO(suserelease, "SLE15-SP6");
