#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cdc_ncm_bind_common, 0x3be4b5c7, "_gpl");
SYMBOL_CRC(cdc_ncm_change_mtu, 0x4d9d6f50, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x788345fe, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x7ad2a618, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xf77603e6, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x40571950, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x876459da, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xff682f22, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x8cedc358, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0xcde16a19, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x91fef72a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0xc158285e, "usbnet_read_cmd" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x44786867, "usbnet_write_cmd" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x961cde7, "hrtimer_active" },
	{ 0x3d58cc80, "hrtimer_start_range_ns" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x4dfac64a, "netif_tx_lock" },
	{ 0xc6db82fa, "usbnet_start_xmit" },
	{ 0x557e57ce, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4e91b40d, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x61636cf, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x33241ba6, "usb_driver_release_interface" },
	{ 0xf10a754a, "__dynamic_netdev_dbg" },
	{ 0x4fb4e3, "usb_register_driver" },
	{ 0xf4962ec9, "usb_deregister" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0x6da8bb51, "usbnet_update_max_qlen" },
	{ 0x905aa42d, "usbnet_unlink_rx_urbs" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0x8782c229, "usb_altnum_to_altsetting" },
	{ 0x48ac3a17, "usbnet_link_change" },
	{ 0xcec203cb, "skb_put" },
	{ 0xdcb764ad, "memset" },
	{ 0x32e08603, "__netdev_alloc_skb" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94b6536c, "usbnet_skb_return" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x85c04fd3, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x523d6250, "cdc_parse_cdc_header" },
	{ 0xe6125a1c, "usb_ifnum_to_if" },
	{ 0xa12a3774, "usb_driver_claim_interface" },
	{ 0xac0a4f07, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9758268a, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x952369ea, "__alloc_skb" },
	{ 0x437349a7, "usbnet_probe" },
	{ 0xfb4396fc, "usbnet_disconnect" },
	{ 0x9a00410c, "usbnet_suspend" },
	{ 0x3edfbba7, "usbnet_resume" },
	{ 0x406dd1a1, "usbnet_get_drvinfo" },
	{ 0xcd2ec2c7, "usbnet_get_msglevel" },
	{ 0xa7586e4b, "usbnet_set_msglevel" },
	{ 0xd787e176, "usbnet_nway_reset" },
	{ 0xc62098d4, "usbnet_get_link" },
	{ 0x755bae60, "ethtool_op_get_ts_info" },
	{ 0x87a85fe5, "usbnet_get_link_ksettings_internal" },
	{ 0x1348fbd5, "usbnet_open" },
	{ 0x9eb66709, "usbnet_stop" },
	{ 0x85774d08, "usbnet_set_rx_mode" },
	{ 0x27395802, "eth_mac_addr" },
	{ 0x795019fc, "eth_validate_addr" },
	{ 0xa858e081, "usbnet_tx_timeout" },
	{ 0xa3cf6883, "dev_get_tstats64" },
	{ 0x93b49b9a, "usbnet_manage_power" },
	{ 0x5867d1f9, "usbnet_cdc_update_filter" },
	{ 0x5c2cd1a2, "param_ops_bool" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "SLE15-SP6");
