#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(___mt76u_rr, 0x231950c1, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0xfbeab2d2, "_gpl");
SYMBOL_CRC(__mt76u_init, 0x8b79ab52, "_gpl");
SYMBOL_CRC(__mt76u_vendor_request, 0x3016f813, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0x496bc6b7, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0xfba7e7ec, "_gpl");
SYMBOL_CRC(mt76u_init, 0x9bc3e5f8, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0xb2a628e6, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0xd5acdad2, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0x0f48e4fa, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0xe0fbcc19, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0xb39d79b5, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0xab7cae36, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0x7d3ad1f9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbbaba4f0, "vmemmap" },
	{ 0xdcc7f0ec, "usb_free_urb" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x682d0705, "devm_kmalloc" },
	{ 0xcec203cb, "skb_put" },
	{ 0x5a857620, "page_pool_alloc_frag" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd56d3b69, "trace_raw_output_prep" },
	{ 0xf11289dd, "__trace_trigger_soft_disabled" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0x14e12a45, "trace_event_printf" },
	{ 0x1474f699, "skb_add_rx_frag" },
	{ 0xa391ba6a, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xafb9c891, "mt76_has_tx_pending" },
	{ 0x5545e480, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8bec1a92, "bpf_trace_run2" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0x1f314c08, "__wake_up" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0xf01b39be, "kthread_park" },
	{ 0x79f1762f, "sched_set_fifo_low" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb1a00abe, "mt76_tx_status_check" },
	{ 0xb15238d1, "wake_up_process" },
	{ 0x1d2e1f7a, "trace_event_buffer_commit" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0xf6522848, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x952369ea, "__alloc_skb" },
	{ 0xd1cf2080, "usb_submit_urb" },
	{ 0x50cb9301, "kthread_unpark" },
	{ 0x8fe719aa, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x39ecaeac, "perf_trace_run_bpf_submit" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x143dbc18, "usb_control_msg" },
	{ 0x5aafe946, "usb_poison_urb" },
	{ 0xffb28752, "trace_event_reg" },
	{ 0x84f2bd75, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x537e25b8, "kthread_stop" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0xdcb764ad, "memset" },
	{ 0x3330b26a, "mt76_queue_tx_complete" },
	{ 0x35f0a6a0, "kthread_create_on_node" },
	{ 0x8717fb09, "bpf_trace_run3" },
	{ 0xa0438145, "mt76_rx_poll_complete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x356f408d, "trace_event_buffer_reserve" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x5c2cd1a2, "param_ops_bool" },
	{ 0x90958387, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xbf1d158b, "usb_init_urb" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x279bea5d, "mt76_create_page_pool" },
	{ 0xfcaf49b0, "trace_handle_return" },
	{ 0x75c2138, "skb_to_sgvec" },
	{ 0x9514151a, "_mcount" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x32d006c, "page_pool_put_unrefed_page" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mt76");


MODULE_INFO(srcversion, "54936B83BE85F7541834300");

MODULE_INFO(suserelease, "SLE15-SP6");
