#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9514151a, "_mcount" },
	{ 0x7740dddf, "uart_register_driver" },
	{ 0x92997ed8, "_printk" },
	{ 0x7cdbd8fd, "i2c_register_driver" },
	{ 0x9505de68, "uart_unregister_driver" },
	{ 0x3ec202cb, "regmap_update_bits_base" },
	{ 0x2f5eeb7, "kthread_cancel_delayed_work_sync" },
	{ 0xf2e0dfef, "uart_remove_one_port" },
	{ 0x99813a32, "kthread_flush_worker" },
	{ 0x537e25b8, "kthread_stop" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8c6fbb05, "gpiochip_remove" },
	{ 0xb346bd5e, "regmap_read" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x8942b1d1, "regmap_write" },
	{ 0xac2a24ea, "_raw_spin_lock_irqsave" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x4f81909d, "_raw_spin_unlock_irqrestore" },
	{ 0x4bfed1cc, "uart_handle_cts_change" },
	{ 0x2eb1eb5, "uart_handle_dcd_change" },
	{ 0xbfa08d61, "kthread_queue_work" },
	{ 0x8059d0d2, "regmap_noinc_write" },
	{ 0x3fad1aa6, "uart_write_wakeup" },
	{ 0xf6522848, "___ratelimit" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x2df50b0, "jiffies" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x338f8d13, "regmap_noinc_read" },
	{ 0xcac7bd08, "uart_insert_char" },
	{ 0x87684657, "tty_flip_buffer_push" },
	{ 0x4a17ed66, "sysrq_mask" },
	{ 0xcef64ef3, "uart_try_toggle_sysrq" },
	{ 0x7647726c, "handle_sysrq" },
	{ 0x90f917f4, "do_SAK" },
	{ 0x600b3f7f, "_dev_warn" },
	{ 0xf1be8216, "kthread_queue_delayed_work" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2199e313, "regcache_cache_bypass" },
	{ 0xb08a085d, "uart_get_baud_rate" },
	{ 0x5a05ed9d, "uart_update_timeout" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x6cdd85a0, "i2c_client_get_device_id" },
	{ 0xcb7e86f6, "device_get_match_data" },
	{ 0x2692d54f, "__devm_regmap_init_i2c" },
	{ 0x682d0705, "devm_kmalloc" },
	{ 0x38b4d852, "device_property_read_u32_array" },
	{ 0xd2a7bdfc, "devm_clk_get_optional" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x5cd1a169, "__kthread_init_worker" },
	{ 0x35f0a6a0, "kthread_create_on_node" },
	{ 0xb15238d1, "wake_up_process" },
	{ 0x6e80bd68, "sched_set_fifo" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6b5db20a, "uart_add_one_port" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0x88881573, "of_find_property" },
	{ 0x574dc263, "of_prop_next_u32" },
	{ 0xd081708e, "gpiochip_add_data_with_key" },
	{ 0xf21257b3, "devm_request_threaded_irq" },
	{ 0xaa4f3fec, "gpiochip_get_data" },
	{ 0x9412e688, "i2c_del_driver" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "regmap-i2c");

MODULE_ALIAS("i2c:sc16is74x");
MODULE_ALIAS("i2c:sc16is740");
MODULE_ALIAS("i2c:sc16is741");
MODULE_ALIAS("i2c:sc16is750");
MODULE_ALIAS("i2c:sc16is752");
MODULE_ALIAS("i2c:sc16is760");
MODULE_ALIAS("i2c:sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740");
MODULE_ALIAS("of:N*T*Cnxp,sc16is740C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741");
MODULE_ALIAS("of:N*T*Cnxp,sc16is741C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750");
MODULE_ALIAS("of:N*T*Cnxp,sc16is750C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752");
MODULE_ALIAS("of:N*T*Cnxp,sc16is752C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760");
MODULE_ALIAS("of:N*T*Cnxp,sc16is760C*");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762");
MODULE_ALIAS("of:N*T*Cnxp,sc16is762C*");

MODULE_INFO(srcversion, "320D2D9273A963CE11BB191");

MODULE_INFO(suserelease, "SLE15-SP6");
