#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fat_add_entries, 0xf6548846, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x6e1ed221, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x8644592c, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xa9584c07, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x24053974, "_gpl");
SYMBOL_CRC(fat_scan, 0xd33fa0b3, "_gpl");
SYMBOL_CRC(fat_search_long, 0xaa1fdc96, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x67f1951b, "_gpl");
SYMBOL_CRC(fat_getattr, 0xf09d2458, "_gpl");
SYMBOL_CRC(fat_setattr, 0x360f0b77, "_gpl");
SYMBOL_CRC(fat_attach, 0x9e256078, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x3ea7d440, "_gpl");
SYMBOL_CRC(fat_detach, 0xc6e474fd, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xaf332045, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x31e46383, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x8105cf5c, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xe9084ee9, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xa8405c45, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xf942206a, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x815b1a3f, "_gpl");
SYMBOL_CRC(fat_update_time, 0x0cb6db11, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x446c2e16, "filemap_fdatawrite" },
	{ 0x7cface3d, "generic_fillattr" },
	{ 0x832b0523, "setattr_prepare" },
	{ 0x212829ba, "generic_block_bmap" },
	{ 0x946a23b5, "default_amr" },
	{ 0x562bdc50, "__init_rwsem" },
	{ 0x6dcc9ee9, "sync_blockdev_nowait" },
	{ 0x35637f88, "make_vfsgid" },
	{ 0x1cf7ff7b, "blk_start_plug" },
	{ 0x888c6dbb, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd6003d7b, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x2721610d, "new_inode" },
	{ 0x8e111c4e, "mark_buffer_dirty" },
	{ 0x5b3f3b34, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1883d6fa, "__find_get_block" },
	{ 0x2962f3c5, "filemap_fdatawrite_range" },
	{ 0xaedb978c, "inode_needs_sync" },
	{ 0x9ac27a33, "__blockdev_direct_IO" },
	{ 0xe2c1da3c, "d_make_root" },
	{ 0x8520633f, "__bforget" },
	{ 0x3ea5873f, "sb_set_blocksize" },
	{ 0xf13791c3, "block_truncate_page" },
	{ 0xd4e051b6, "write_dirty_buffer" },
	{ 0xb86d68dc, "sync_filesystem" },
	{ 0x52e896fd, "mmu_feature_keys" },
	{ 0x21668135, "fsnotify" },
	{ 0x5b40d8bd, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcb8095e6, "from_vfsuid" },
	{ 0x4ce0ac6b, "inode_dio_wait" },
	{ 0xe6b8f342, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x7c7a922d, "cont_write_begin" },
	{ 0x1a6757b2, "iput" },
	{ 0x2114795d, "iter_file_splice_write" },
	{ 0xf7d8545, "generic_file_write_iter" },
	{ 0x252c7573, "kmem_cache_create" },
	{ 0xe139c1f4, "sync_inode_metadata" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x39790869, "make_vfsuid" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe12bab85, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x4c93aa7e, "block_invalidate_folio" },
	{ 0xd2a35879, "__breadahead" },
	{ 0x7fe3627c, "generic_write_end" },
	{ 0xf6522848, "___ratelimit" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x197e6651, "load_nls" },
	{ 0xd1c1c80c, "generic_cont_expand_simple" },
	{ 0xf1f55a44, "make_kuid" },
	{ 0xb1e90c3a, "truncate_inode_pages_final" },
	{ 0x514a7b54, "generic_file_mmap" },
	{ 0xaf705aae, "sync_mapping_buffers" },
	{ 0xa7cea000, "ilookup" },
	{ 0xc01afd6c, "kmem_cache_alloc" },
	{ 0xf7cda914, "invalidate_inode_buffers" },
	{ 0xa91c0bdf, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe37408bb, "mnt_drop_write_file" },
	{ 0xe07c1c22, "inode_init_once" },
	{ 0x3c0be131, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x234be25, "__brelse" },
	{ 0x6a8efee5, "down_write" },
	{ 0x897423e6, "up_write" },
	{ 0x97f8d72b, "generic_file_read_iter" },
	{ 0x734532c6, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0x2ec5b080, "truncate_pagecache" },
	{ 0x323424b, "sync_dirty_buffer" },
	{ 0x8753e170, "setattr_copy" },
	{ 0xaaea3caa, "__wait_on_buffer" },
	{ 0x341f040c, "set_nlink" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xa74a5879, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x92a84ca2, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x6251bb8c, "from_vfsgid" },
	{ 0x6eb915e2, "write_inode_now" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0xf8b295ca, "d_obtain_alias" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x59e4ea01, "__bread_gfp" },
	{ 0xab84e1dc, "block_dirty_folio" },
	{ 0x74a8edd8, "mpage_read_folio" },
	{ 0x5e99dfca, "uaccess_flush_key" },
	{ 0xdcb764ad, "memset" },
	{ 0x3eda79e2, "__insert_inode_hash" },
	{ 0x9159e012, "buffer_migrate_folio" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7042a78b, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb24dc946, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x385acc7e, "down_read" },
	{ 0x27dee8bc, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b7b572c, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf943ef8b, "igrab" },
	{ 0x68a478f9, "__getblk_gfp" },
	{ 0x147fa30, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9860f61c, "mpage_readahead" },
	{ 0xae493188, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x94b7ad88, "init_user_ns" },
	{ 0x72608c0e, "do_uaccess_flush" },
	{ 0x44e9a829, "match_token" },
	{ 0x9ab5d0db, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x21d0538a, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x1b3a35b6, "blkdev_issue_flush" },
	{ 0x6319f254, "seq_puts" },
	{ 0x76664542, "generic_fh_to_parent" },
	{ 0xee1d8698, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x9423a46c, "from_kuid_munged" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x709b2401, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbe2ac18e, "kmem_cache_alloc_lru" },
	{ 0x77214a9f, "__mark_inode_dirty" },
	{ 0x7b462f4e, "generic_file_llseek" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0xc9a72d94, "unload_nls" },
	{ 0xa18cddf6, "up_read" },
	{ 0xe08cc8e2, "mark_buffer_dirty_inode" },
	{ 0x9514151a, "_mcount" },
	{ 0x1a433526, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x1b918eee, "kmem_cache_destroy" },
	{ 0x5d75e6f5, "blkdev_issue_discard" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E02AF8387D093A97BCA8842");

MODULE_INFO(suserelease, "SLE15-SP6");
