#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_restart, 0xbbb69e86, "");
SYMBOL_CRC(jbd2__journal_start, 0xec6f22c9, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xd83a96c0, "");
SYMBOL_CRC(jbd2_journal_restart, 0xced3bd25, "");
SYMBOL_CRC(jbd2_journal_start, 0x252fddc9, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x3f9a4672, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x54a2a3d7, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x7bcff174, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x535c01b6, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xc0458319, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0xfcce008e, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x3f1de29c, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x55e4a8d9, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xaa5e782a, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xb9690bca, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_journal_abort, 0x1baf70a3, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x0feb4ad9, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xb65ee5e4, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x2addd63b, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x46f60af9, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x82899753, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x006591f5, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xe49fb3b8, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x9147b358, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x8362e238, "");
SYMBOL_CRC(jbd2_journal_errno, 0x709e9128, "");
SYMBOL_CRC(jbd2_journal_extend, 0x50013765, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x79112eaa, "");
SYMBOL_CRC(jbd2_journal_flush, 0x1f371ead, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xbc842996, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x6c3779ec, "");
SYMBOL_CRC(jbd2_journal_forget, 0x9d9e3a3c, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xc7561b08, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xa07c39e3, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x36d9eb96, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x4bb112d5, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x5e2910a2, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xeb70aa0b, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xeb9d9b0d, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xe72b3496, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xb9438653, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x33a4f009, "");
SYMBOL_CRC(jbd2_journal_load, 0x3cf547c4, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x33900105, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xe683a49f, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x39cddd86, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xe0af0c76, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x067685c4, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x4e346cc3, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xd8df1d8b, "");
SYMBOL_CRC(jbd2_journal_stop, 0xf742c2ab, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x4387a072, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xeb0955d6, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x6441082a, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x6cff78c2, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x795f5459, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x7ec07538, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xe94bcaef, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x20534ea0, "bh_uptodate_or_lock" },
	{ 0xbbaba4f0, "vmemmap" },
	{ 0x1cf7ff7b, "blk_start_plug" },
	{ 0x8e750d96, "bpf_trace_run4" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0x2718095b, "folio_unlock" },
	{ 0x54a5c560, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd56d3b69, "trace_raw_output_prep" },
	{ 0xa453e24, "bpf_trace_run6" },
	{ 0x8e111c4e, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1883d6fa, "__find_get_block" },
	{ 0xf11289dd, "__trace_trigger_soft_disabled" },
	{ 0x2962f3c5, "filemap_fdatawrite_range" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0x14e12a45, "trace_event_printf" },
	{ 0x8520633f, "__bforget" },
	{ 0xd4e051b6, "write_dirty_buffer" },
	{ 0x783900ed, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9bdbf045, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xa391ba6a, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1a6757b2, "iput" },
	{ 0xc264300, "seq_lseek" },
	{ 0xa176e33d, "blockdev_superblock" },
	{ 0x9ad7c284, "proc_create_data" },
	{ 0x8bec1a92, "bpf_trace_run2" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x252c7573, "kmem_cache_create" },
	{ 0x2703e41d, "bpf_trace_run8" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x2de460a1, "submit_bh" },
	{ 0x5f747ca, "__percpu_counter_init" },
	{ 0x655eb71e, "alloc_buffer_head" },
	{ 0xb15238d1, "wake_up_process" },
	{ 0x1d2e1f7a, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x78ff7a5, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xe3f81fb3, "mutex_lock_io" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xf6522848, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x78a0f489, "try_to_free_buffers" },
	{ 0xfd4e1f79, "sync_blockdev" },
	{ 0xc264ea72, "free_buffer_head" },
	{ 0x7889fc44, "unregister_shrinker" },
	{ 0xc01afd6c, "kmem_cache_alloc" },
	{ 0xa91c0bdf, "blk_finish_plug" },
	{ 0xd6859189, "__cond_resched_lock" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe761ce00, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x234be25, "__brelse" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x39ecaeac, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0xcc2321c7, "__bh_read_batch" },
	{ 0xcb542b89, "bpf_trace_run5" },
	{ 0xfc3af89d, "_raw_write_lock" },
	{ 0xaaea3caa, "__wait_on_buffer" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xa74a5879, "kmem_cache_free" },
	{ 0xa83d23a7, "__bh_read" },
	{ 0xffb28752, "trace_event_reg" },
	{ 0xbd6c05e7, "mutex_is_locked" },
	{ 0x354c7be9, "blkdev_issue_zeroout" },
	{ 0x3be6d8cc, "filemap_fdatawait_range_keep_errors" },
	{ 0xb3cf438d, "crypto_shash_update" },
	{ 0xe0556458, "_raw_read_unlock" },
	{ 0x51af96c, "_raw_write_unlock" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc638400e, "freezing_slow_path" },
	{ 0xa1c93c06, "bpf_trace_run1" },
	{ 0xdabd524b, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3a130add, "set_bh_page" },
	{ 0x2df50b0, "jiffies" },
	{ 0x35f0a6a0, "kthread_create_on_node" },
	{ 0x8717fb09, "bpf_trace_run3" },
	{ 0xa61a6be6, "seq_read" },
	{ 0x9b7b572c, "unlock_buffer" },
	{ 0x68a478f9, "__getblk_gfp" },
	{ 0x356f408d, "trace_event_buffer_reserve" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0xfbdca502, "prepare_to_wait_exclusive" },
	{ 0x80b612b7, "percpu_counter_add_batch" },
	{ 0x6ce69149, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x992c1e6f, "__folio_put" },
	{ 0xcd12299b, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9ab5d0db, "seq_printf" },
	{ 0x21d0538a, "__lock_buffer" },
	{ 0x60b0831c, "_raw_read_lock" },
	{ 0x86c1107d, "truncate_inode_pages_range" },
	{ 0x1b3a35b6, "blkdev_issue_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5fbdd2cf, "end_buffer_write_sync" },
	{ 0x7864e906, "seq_open" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xe8c2b68d, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x897e56e3, "percpu_counter_destroy" },
	{ 0x55638e0e, "crypto_alloc_shash" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0xfcaf49b0, "trace_handle_return" },
	{ 0x9514151a, "_mcount" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x1b918eee, "kmem_cache_destroy" },
	{ 0x5d75e6f5, "blkdev_issue_discard" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EA6A52C6EB5CB9909224F45");

MODULE_INFO(suserelease, "SLE15-SP6");
