#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hsr_get_version, 0xd0e11e47, "");
SYMBOL_CRC(is_hsr_master, 0x47614072, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcab66a3c, "dev_set_mtu" },
	{ 0x879c0f26, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x619d8323, "eth_header" },
	{ 0xcec203cb, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x88ab1e38, "netdev_update_features" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x85897172, "rtnl_link_register" },
	{ 0x1e873d46, "genlmsg_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eba9ded, "dev_set_promiscuity" },
	{ 0xc264300, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf93ba773, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb6d4264b, "unregister_netdevice_queue" },
	{ 0xa091f1ce, "netlink_ack" },
	{ 0x126f79e6, "netdev_state_change" },
	{ 0xced2410, "__pskb_copy_fclone" },
	{ 0xd0fa87c0, "ether_setup" },
	{ 0xb22e440f, "netlink_broadcast_filtered" },
	{ 0x5d7223b4, "netdev_err" },
	{ 0x30a1be28, "netdev_upper_dev_link" },
	{ 0x7481deb0, "dev_addr_mod" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5dbf8122, "netdev_rx_handler_unregister" },
	{ 0xf756c4fd, "eth_header_parse" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x952369ea, "__alloc_skb" },
	{ 0x46786c08, "skb_copy_expand" },
	{ 0x51c5133, "__dev_get_by_index" },
	{ 0xcaec12d1, "rtnl_link_unregister" },
	{ 0x6ac76a94, "init_net" },
	{ 0x79534c91, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3612b098, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xeef3c7e4, "dev_get_by_index_rcu" },
	{ 0x98fbbfe5, "kfree_skb_reason" },
	{ 0x2263f079, "netdev_printk" },
	{ 0xfc3af89d, "_raw_write_lock" },
	{ 0xf30106d6, "skb_push" },
	{ 0x9f0044ec, "debugfs_remove" },
	{ 0x882a655d, "netdev_upper_dev_unlink" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x51af96c, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x94764242, "__pskb_pull_tail" },
	{ 0xa9993fcd, "netif_rx" },
	{ 0x32e08603, "__netdev_alloc_skb" },
	{ 0x5f5bfe58, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2df50b0, "jiffies" },
	{ 0xa61a6be6, "seq_read" },
	{ 0xa147e05a, "debugfs_rename" },
	{ 0x58411cae, "debugfs_create_file" },
	{ 0x13a33d96, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd8caf509, "call_netdevice_notifiers" },
	{ 0xe12cc112, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6ddcdca6, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9ab5d0db, "seq_printf" },
	{ 0x438e3f20, "skb_clone" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0x9f5830d5, "netif_carrier_on" },
	{ 0x2710f5f2, "netdev_rx_handler_register" },
	{ 0x6319f254, "seq_puts" },
	{ 0x1765e458, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x88c624f3, "genl_unregister_family" },
	{ 0xffc53be8, "dev_disable_lro" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0x4e91b40d, "dev_kfree_skb_any_reason" },
	{ 0x296affec, "single_open" },
	{ 0x6d2b3a34, "debugfs_create_dir" },
	{ 0xed151867, "genl_register_family" },
	{ 0x9514151a, "_mcount" },
	{ 0x939f39a2, "netdev_core_stats_inc" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0xa27e31b6, "netdev_info" },
	{ 0xa45d1225, "register_netdevice" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "EFBF075D255878868D3DEC3");

MODULE_INFO(suserelease, "SLE15-SP6");
