#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nft_do_chain, 0xe9a970e0, "_gpl");
SYMBOL_CRC(__nft_reg_track_cancel, 0x45130701, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0x952892db, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x6f0bb72b, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0xea116b5c, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x325560b7, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xacba6971, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0xb8af6fa8, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x1094a626, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0xa6f186b9, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x62aec24b, "_gpl");
SYMBOL_CRC(nft_data_dump, 0x922f1a5b, "_gpl");
SYMBOL_CRC(nft_data_init, 0x8619ae7e, "_gpl");
SYMBOL_CRC(nft_data_release, 0xc69199ed, "_gpl");
SYMBOL_CRC(nft_dump_register, 0xac2c52f3, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0x2baf2f2f, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x8a3950f3, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0x42d2abe5, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0x5e714a2f, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_reg_track_cancel, 0xe19dc185, "_gpl");
SYMBOL_CRC(nft_reg_track_update, 0x02760bd5, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x4e800578, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x7214ecac, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x5e75a102, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x5a18ec46, "_gpl");
SYMBOL_CRC(nft_request_module, 0xb9c7964f, "_gpl");
SYMBOL_CRC(nft_set_catchall_gc, 0x57352752, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xea6db930, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0x53937565, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0xf40778a5, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0x4cb36f17, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0x8948ae69, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x2a937f7b, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0xa8a31812, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_expr_reduce_bitwise, 0xa55d86f1, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0xd69c8539, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x057a1650, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x82e15ef3, "_gpl");
SYMBOL_CRC(nft_meta_get_reduce, 0xd4cc13a8, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x3ff33361, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xe2c74001, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0xf8ed23d1, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x83f38c13, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0x9553f4ec, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x0b1a9368, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x778100e7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4e9a328a, "__do_once_done" },
	{ 0x5d2bb5a9, "__netlink_dump_start" },
	{ 0xd382cbe6, "flow_rule_alloc" },
	{ 0x39ac0cff, "try_module_get" },
	{ 0x96ca63f5, "__rht_bucket_nested" },
	{ 0x9968aacb, "__audit_log_nfcfg" },
	{ 0xca4db0e6, "skb_copy_bits" },
	{ 0x37def959, "__nlmsg_put" },
	{ 0xcec203cb, "skb_put" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x66453ad9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xdb84fc13, "_raw_write_lock_bh" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x9e2072b3, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0x17be4a83, "flow_block_cb_free" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c19117b, "_raw_read_unlock_bh" },
	{ 0x911c966f, "nfnetlink_subsys_register" },
	{ 0xfad5473b, "_raw_read_lock_bh" },
	{ 0xfac46be6, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x3c15b31b, "rhashtable_init" },
	{ 0x4df7f484, "_raw_write_unlock_bh" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x20fc0cc2, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0x46a51ad5, "rhashtable_walk_enter" },
	{ 0xfdfcdd5f, "__csum_partial" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x499bfc6d, "__per_cpu_offset" },
	{ 0x2fb2d328, "_raw_spin_lock" },
	{ 0x5f8704ff, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x21f7a1d1, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x1bd07933, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xcf12a655, "nf_route" },
	{ 0xa916b694, "strnlen" },
	{ 0x952369ea, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xe4c92326, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x800473f, "__cond_resched" },
	{ 0x52045a4d, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x85c1ea27, "nf_register_net_hook" },
	{ 0xe104c088, "__skb_get_hash" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x963b2e26, "ip_route_me_harder" },
	{ 0xe6075995, "skb_store_bits" },
	{ 0xeef3c7e4, "dev_get_by_index_rcu" },
	{ 0x98fbbfe5, "kfree_skb_reason" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0x5c9bf3eb, "nfnetlink_unicast" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x36a40d38, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb611863f, "rhashtable_walk_start_check" },
	{ 0x1c3e02e4, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0xc582d78a, "flow_indr_dev_setup_offload" },
	{ 0x7d286a0f, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0x448c46d9, "unregister_pernet_subsys" },
	{ 0xe5d71a61, "__cpu_possible_mask" },
	{ 0x77d58427, "rhashtable_free_and_destroy" },
	{ 0xaee93c23, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0xd88d7706, "rht_bucket_nested_insert" },
	{ 0xe5578413, "nfnetlink_send" },
	{ 0x6c5f1c78, "__get_task_comm" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x94764242, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x3e2fb4ca, "nfnetlink_subsys_unregister" },
	{ 0xb24dc946, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5f5bfe58, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2df50b0, "jiffies" },
	{ 0x5a025f7b, "arch_local_irq_restore" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4b52fa2a, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x5b8ec6f7, "rhashtable_insert_slow" },
	{ 0x137f2a67, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x29c9d138, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6ce69149, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1e45a979, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x303d565b, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x2c7347d7, "dst_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x41fac0ac, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x9423a46c, "from_kuid_munged" },
	{ 0x603f74dd, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x5a8b9c17, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x6493a2df, "rht_bucket_nested" },
	{ 0xb4e9d920, "rhashtable_walk_exit" },
	{ 0x9514151a, "_mcount" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2c800ac, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2d18baf3, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink,libcrc32c");


MODULE_INFO(srcversion, "C8B7DE680297B34789F7E2D");

MODULE_INFO(suserelease, "SLE15-SP6");
